!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program BCDMS_PLB223_sigrpCO
 implicit none
 integer,parameter::mBCDMS_PLB223_sigrpCO=351
 integer i
 double precision,dimension(mBCDMS_PLB223_sigrpCO)::x,Q2,F20,F2QCD,stat,E,sigma,y
 double precision,dimension(5,mBCDMS_PLB223_sigrpCO)::corr
 open(5,file='BCDMSp.dat')
 read(5,*)
 do i = 1,mBCDMS_PLB223_sigrpCO
     read(5,*) x(i),Q2(i),F20(i),stat(i),F2QCD(i),corr(:,i)
 end do
 close(5)
 E(1:97) = 99.1d0
 E(98:196) = 117.9d0
 E(197:275) = 196.3d0
 E(276:351) = 277.0d0
 y = Q2/x/2d0/0.938272d0/E
 sigma = (1d0 - y - x**2d0*y**2d0*0.8803536d0/Q2 + y**2d0/2d0*(1d0 + 4d0*x**2d0*0.8803536d0/Q2))*F20
 stat = stat*sigma/F20
 open(9,file='BCDMS_PLB223_sigrpCO.dato')
 4 format(2f8.3,f7.2,7f10.5)
 do i = 1, mBCDMS_PLB223_sigrpCO
     corr(:,i) = 0.01d0*corr(:,i)*sigma(i)
     write(9,4) x(i),y(i),Q2(i),sigma(i),stat(i),corr(:,i)
 end do
 close(9)       
end program BCDMS_PLB223_sigrpCO
