!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program BCDMS_PLB237_F2np
 implicit none
 integer,parameter::mBCDMS_PLB237_F2np=11
 integer i
 double precision, dimension(mBCDMS_PLB237_F2np):: xl,Q2l,F2npl,errst,errsy,errl  
 open(5,file='BCDMS_PLB237_F2np.dat')
 open(7,file='BCDMS_PLB237_F2np.dato')
 do i = 1, mBCDMS_PLB237_F2np
    read(5,*) xl(i),Q2l(i),F2npl(i),errst(i),errsy(i)
    errl(i)=sqrt(errst(i)**2+errsy(i)**2)
 end do
 4 format(f7.2,f6.1,2f8.3)
 do i = 1, mBCDMS_PLB237_F2np
    write(7,4) xl(i),Q2l(i),F2npl(i),errl(i)
 end do 
 close(5)
 close(7)      
end program BCDMS_PLB237_F2np
