!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program CDHSW_ZPC25_dvuv
 implicit none
 integer,parameter::mCDHSW_ZPC25_dvuv=7
 integer i
 double precision, dimension(mCDHSW_ZPC25_dvuv)::xl,Q2l,dvuvl,errst,errsy,errl 
 open(5,file='CDHSW_ZPC25_dvuv.dat')
 open(7,file='CDHSW_ZPC25_dvuv.dato')
 do i = 1, mCDHSW_ZPC25_dvuv
    read(5,*) xl(i),dvuvl(i),errst(i),errsy(i)
    Q2l(i) = 66.*xl(i)
    errl(i)=sqrt(errst(i)**2+errsy(i)**2)
 end do
 4 format(f7.2,3f8.3)
 do i = 1, mCDHSW_ZPC25_dvuv
    write(7,4) xl(i),Q2l(i),dvuvl(i),errl(i)
 end do 
 close(5)
 close(7)      
end program CDHSW_ZPC25_dvuv
