!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program E866_PRL80_DYd2p
 implicit none
 integer,parameter::mE866_PRL80_DYd2p=11
 integer i
 double precision, dimension(mE866_PRL80_DYd2p):: x2,xf,pt,m,rat,errst,errsy,errtot,x1,m2
 open(5,file='E866_PRL80_DYd2p.dat')
 open(7,file='E866_PRL80_DYd2p.dato')
 do i = 1, mE866_PRL80_DYd2p
    read(5,*)  x2(i),xf(i),pt(i),m(i),rat(i),errst(i)
    errsy(i) = 0.01*rat(i)
    errtot(i) = sqrt(errst(i)**2+errsy(i)**2)
 end do
 x1 = x2+xf
 m2 = m**2
 4 format(5f8.3)
 do i = 1, mE866_PRL80_DYd2p
    write(7,4) x1(i),x2(i),m2(i),rat(i),errtot(i)
 end do 
 close(5)
 close(7)   
end program E866_PRL80_DYd2p
