!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC19
 implicit none
 integer,parameter:: mH1_EPJC19=126
 integer i
 double precision, dimension(mH1_EPJC19):: Q2l,xl,yl,sigrp,errst,errsy,errl,F2l
 open(5,file='H1_EPJC19.dat')
 open(7,file='H1_EPJC19_F2p.dato')
 open(8,file='H1_EPJC19_sigrm.dato')
 do i = 1, mH1_EPJC19
    read(5,*) Q2l(i),xl(i),yl(i),sigrp(i),errst(i),errsy(i),errl(i),F2l(i)
 end do
 errl=sqrt(errst**2+errsy**2)
 4 format(f9.4,f8.0,2f8.4)
 5 format(2f9.4,f8.0,2f8.4)
 do i = 1, mH1_EPJC19
    write(7,4) xl(i),Q2l(i),F2l(i),F2l(i)*0.01*errl(i)
    write(8,5) xl(i),yl(i),Q2l(i),sigrp(i),sigrp(i)*0.01*errl(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC19
