!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program H1_EPJC21_FLp
 implicit none
 integer,parameter::mH1_EPJC21_FLp=17
 integer::i
 double precision, dimension(mH1_EPJC21_FLp):: Q2l,xl,yl,FLpl,errl,Wl
 open(5,file='H1_EPJC21_FLp.dat')
 open(7,file='H1_EPJC21_FLpp.dato')
 do i = 1, mH1_EPJC21_FLp
    read(5,*)  Q2l(i),xl(i),yl(i),FLpl(i),errl(i)
 end do
 5 format(f12.6,f6.1,2f9.3)
 do i = 1, mH1_EPJC21_FLp
    Wl(i) = dsqrt(0.88d0 + Q2l(i)*(1d0/xl(i)-1d0))
    write(7,5) xl(i),Q2l(i),FLpl(i),errl(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC21_FLp
