!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC30
 implicit none
 integer,parameter:: mH1_EPJC30=147
 integer i
 logical::F2stat(mH1_EPJC30)=.true.
 double precision::trash(11),del(3) 
 double precision,dimension(mH1_EPJC30):: Q2l,xl,yl,sigrp,F2l,errl,errlF2p,errlsigrp,errst,errsy
 open(5,file='H1_EPJC30.dat')
 open(7,file='H1_EPJC30_F2p.dato')
 open(8,file='H1_EPJC30_sigrp.dato')
 do i = 1, mH1_EPJC30
    read(5,*) Q2l(i),xl(i),yl(i),sigrp(i),errst(i),errsy(i),errl(i),trash,F2l(i),del
    if (F2l(i)==0d0) then
       F2stat(i) = .false.
    end if
 end do
 errlsigrp=0.01*errl*sigrp
 errlF2p=0.01*errl*F2l
 4 format(f10.5,f7.0,2f8.3)
 5 format(2f15.7,f8.1,2f9.4)
 do i = 1, mH1_EPJC30
    if (F2stat(i) .EQV. .true.) write(7,4) xl(i),Q2l(i),F2l(i),errlF2p(i)
    write(8,5) xl(i),yl(i),Q2l(i),sigrp(i),errlsigrp(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC30
