!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC40_F2pc
 implicit none
 integer,parameter:: mH1_EPJC40_F2pc=4
 integer i
 double precision, dimension(mH1_EPJC40_F2pc):: xl,Q2l,errst,errsy,F2pcl
 open(5,file='H1_EPJC40_F2pc.dat')
 open(7,file='H1_EPJC40_F2pc.dato')
 do i = 1, mH1_EPJC40_F2pc
    read(5,*) xl(i),Q2l(i),errst(i),errsy(i),F2pcl(i)
 end do
 errst=0.01*errst*F2pcl
 errsy=0.01*errsy*F2pcl
 4 format(f9.4,f5.0,3f10.5)
 do i = 1, mH1_EPJC40_F2pc
    write(7,4) xl(i),Q2l(i),F2pcl(i),errst(i),errsy(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC40_F2pc
