!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program H1_EPJC45_F2pb
 implicit none
 integer,parameter:: mH1_EPJC45_F2pb=6
 integer i
 double precision, dimension(mH1_EPJC45_F2pb)::x,y,Q2,sig,C,errst,errsy,errtot,errunc,&
                                               corr1,corr2,corr3,corr4,corr5,corr6,corr7,corr8,F2pb
 open(5,file='H1_EPJC45_F2pb.dat')
 open(7,file='H1_EPJC45_F2pb.dato')
 do i = 1, mH1_EPJC45_F2pb
    read(5,*) Q2(i),x(i),y(i),sig(i),C(i),errst(i),errsy(i),errtot(i),errunc(i),&
              corr1(i),corr2(i),corr3(i),corr4(i),corr5(i),corr6(i),corr7(i),corr8(i),F2pb(i)
 end do
 x = 1d-3*x
 errst=0.01d0*errst*F2pb
 errunc=0.01d0*errunc*F2pb
 corr1=0.01d0*corr1*F2pb
 corr2=0.01d0*corr2*F2pb
 corr3=0.01d0*corr3*F2pb
 corr4=0.01d0*corr4*F2pb
 corr5=0.01d0*corr5*F2pb
 corr6=0.01d0*corr6*F2pb
 corr7=0.01d0*corr7*F2pb
 corr8=0.01d0*corr8*F2pb
 4 format(f11.6,f4.0,11f10.5)
 do i = 1, mH1_EPJC45_F2pb
    write(7,4) x(i),Q2(i),F2pb(i),errst(i),errunc(i),corr1(i),corr2(i),corr3(i),corr4(i),corr5(i),corr6(i),corr7(i),corr8(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC45_F2pb
