!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC71
 implicit none
 integer,parameter:: mH1_EPJC71=64
 integer i
 double precision, dimension(mH1_EPJC71)::Q2,x,FL,statFL,uncFL,corFL,totFL,F2,statF2,uncF2,corF2,totF2,ro
 open(5,file='H1_EPJC71.dat')
 open(7,file='H1_EPJC71_F2p.dato')
 open(8,file='H1_EPJC71_FLp.dato') 
 do i = 1, mH1_EPJC71
    read(5,*) Q2(i),x(i),FL(i),statFL(i),uncFL(i),corFL(i),totFL(i),F2(i),statF2(i),uncF2(i),corF2(i),totF2(i),ro(i)
 end do
 5 format(ES10.3,f6.1,4f10.3)
 do i = 1, mH1_EPJC71
    write(7,5) x(i),Q2(i),F2(i),statF2(i),uncF2(i),corF2(i)
    write(8,5) x(i),Q2(i),FL(i),statFL(i),uncFL(i),corFL(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC71
