!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC71_F2pc
 implicit none
 integer,parameter::mH1_EPJC71_F2pc=25
 integer i
 double precision, dimension(mH1_EPJC71_F2pc)::Q2,x,F2pc,errextp,errextm,errext,errst,errsysp,errsysm,errsys
 open(5,file='H1_EPJC71_F2pc.dat')
 open(7,file='H1_EPJC71_F2pc.dato')
 do i = 1, mH1_EPJC71_F2pc
    read(5,*) Q2(i),x(i),F2pc(i),errextp(i),errextm(i),errst(i),errsysp(i),errsysm(i)
 end do
 errext = 0.5d0*(errextp+errextm)
 errsys = 0.5d0*(errsysp+errsysm)
 errst = 0.01d0*errst*F2pc
 errext = 0.01d0*errext*F2pc
 errsys = 0.01d0*errsys*F2pc
 4 format(ES10.1,f5.1,4f10.5)
 do i = 1, mH1_EPJC71_F2pc
    write(7,4) x(i),Q2(i),F2pc(i),errst(i),errsys(i),errext(i)
 end do 
 close(5)
 close(7)
end program H1_EPJC71_F2pc
