!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program HERA_EPJC73_sigrc
 implicit none
 integer,parameter::mHERA_EPJC73_sigrc=52
 integer i
 double precision, dimension(mHERA_EPJC73_sigrc)::Q2,x,y,sigrc,unc,corr,proc,tot
 open(5,file='HERA_EPJC73_sigrc.dat')
 do i = 1, mHERA_EPJC73_sigrc
    read(5,*) Q2(i),x(i),y(i),sigrc(i),unc(i),corr(i),proc(i),tot(i)
 end do
 close(5)
 unc = 0.01d0*unc*sigrc
 corr = 0.01d0*corr*sigrc
 proc = 0.01d0*proc*sigrc
 4 format(f11.6,f8.3,f8.1,f9.4,3f10.5)
 open(7,file='HERA_EPJC73_sigrc.dato')
 do i = 1, mHERA_EPJC73_sigrc
    write(7,4) x(i),y(i),Q2(i),sigrc(i),unc(i),corr(i),proc(i)
 end do
 close(7)
end program HERA_EPJC73_sigrc
