!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program JLabHallA_PRL92
 implicit none
 integer,parameter::mJLabHallA_PRL92=3
 integer i
 double precision,dimension(mJLabHallA_PRL92)::y,E,theta,x,Q2,W2,Apa,staApa,sysApa,Ape,staApe,sysApe &
                                                             ,A1,staA1,sysA1,A2,staA2,sysA2 &
                                                             ,g1F1,stag1F1,sysg1F1,g2F1,stag2F1,sysg2F1 &
                                                             ,g1,stag1,sysg1,g2,stag2,sysg2
 character*132 whatever
 4 format(a132)
 open(5,file='JLabE99117_He')
 do i = 1,9
    read(5,4) whatever
 end do
 do i = 1,mJLabHallA_PRL92
    read(5,*) E(i),theta(i),x(i),Q2(i),W2(i),Apa(i),staApa(i),sysApa(i),Ape(i),staApe(i),sysApe(i) &
                                            ,A1(i),staA1(i),sysA1(i),A2(i),staA2(i),sysA2(i) &
                                            ,g1F1(i),stag1F1(i),sysg1F1(i),g2F1(i),stag2F1(i),sysg2F1(i) &
                                            ,g1(i),stag1(i),sysg1(i),g2(i),stag2(i),sysg2(i)
    if(Ape(i) == 0d0) Ape(i) = 2.5d-4                                           
 end do
 close(5)
 y = Q2/x/2d0/0.9387026d0/E
 10 format(f7.2,f8.3,f7.2,3f9.5)
 open(11,file='JLabHallA_PRL92_ApaHe.dato')
 do i = 1, mJLabHallA_PRL92
    write(11,10)  x(i),y(i),Q2(i),Apa(i),staApa(i),sysApa(i)
 end do
 close(11)
 open(11,file='JLabHallA_PRL92_ApeHe.dato')
 do i = 1, mJLabHallA_PRL92
    write(11,10)  x(i),y(i),Q2(i),Ape(i),staApe(i),sysApe(i)
 end do
 close(11)
end program JLabHallA_PRL92
