!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program fastNLO_fnh2001
 implicit none
 integer,parameter:: mfastNLO_fnh2001=30
 integer i
 double precision,dimension(mfastNLO_fnh2001)::ETmin,ETmax,ET,sig,sta,sysp,sysm,sys,ESp,ESm,ES,CQED,Chad
 open(5,file='fastNLO_fnh2001.dat')
 do i = 1, mfastNLO_fnh2001
    read(5,*) ETmin(i),ETmax(i),sig(i),sta(i),sysm(i),sysp(i),ESm(i),ESp(i),CQED(i),Chad(i)
 end do
 close(5)
 ET = 0.5d0*(ETmin+ETmax)
 sys = 0.5d0*(sysp - sysm)
 ES = 0.5d0*(ESp - ESm)
 sig = sig/Chad
 sta = sta/Chad
 sys = sys/Chad
 ES = ES/Chad
 open(7,file='fastNLO_fnh2001.dato')
 7 format(f6.1,4ES11.3)
 do i = 1, mfastNLO_fnh2001
    write(7,7) ET(i),sig(i),sta(i),sys(i),ES(i)
 end do
 close(7)
end program fastNLO_fnh2001
