!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program fastNLO_fnh2003
 implicit none
 integer,parameter:: mfastNLO_fnh2003=24
 integer i
 double precision,dimension(mfastNLO_fnh2003)::Q2min,Q2max,ETmin,ETmax,ET,sig,sta,tot,unc,had
 double precision::corr(0:4,mfastNLO_fnh2003)
 open(5,file='fastNLO_fnh2003.dat')
 do i = 1, mfastNLO_fnh2003
    read(5,*) Q2min(i),Q2max(i),ETmin(i),ETmax(i),sig(i),sta(i),tot(i),unc(i),corr(0:4,i),had(i)
 end do
 close(5)
 ET = 0.5d0*(ETmin+ETmax)
 sig = sig/(Q2max-Q2min)/(ETmax-ETmin)/had
 sta = 0.01d0*sta*sig
 unc = 0.01d0*unc*sig
 do i=0,4
    corr(i,:) = 0.01d0*corr(i,:)*sig
 end do
 open(7,file='fastNLO_fnh2003.dato')
 7 format(f6.1,7ES11.3)
 do i = 1, mfastNLO_fnh2003
    write(7,7) ET(i),sig(i),sta(i),unc(i),corr(1:4,i)
 end do
 close(7)
end program fastNLO_fnh2003
