!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
program fastNLO_fnt1002
 implicit none
 integer,parameter:: mfastNLO_fnt1002=90
 integer i
 double precision, dimension(mfastNLO_fnt1002):: Et,sigm,errst,errsyp,errsym,errsy
 open(5,file='fastNLO_fnt1002.dat')
 open(7,file='fastNLO_fnt1002.dato')
 6 format(f6.1,4D12.4)
 do i = 1, mfastNLO_fnt1002
    read(5,*) Et(i),sigm(i),errst(i),errsyp(i),errsym(i)
 end do
 errsy = 0.5d0*(errsyp-errsym)
 7 format(f6.1,3ES12.4)
 do i = 1, mfastNLO_fnt1002
    write(7,7) Et(i),sigm(i),errst(i),errsy(i)
 end do
 close(5)
 close(7)
end program fastNLO_fnt1002
