!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program fastNLO_fnt2009
 implicit none
 integer,parameter:: mfastNLO_fnt2009=110
 integer i
 double precision bla
 double precision,dimension(mfastNLO_fnt2009)::ptmin,ptmax,pt,sig,sta,had,ue,totnp
 double precision::dsys(48,mfastNLO_fnt2009),unc(mfastNLO_fnt2009),corr(23,mfastNLO_fnt2009)
 open(5,file='fastNLO_fnt2009.dat')
 do i = 1, mfastNLO_fnt2009
    read(5,*) ptmin(i),ptmax(i),sig(i),sta(i),had(i),ue(i),totnp(i),dsys(:,i)
 end do
 close(5)
 pt = 0.5d0*(ptmin+ptmax)
 sta = 0.01d0*sta
 had = 1d0 + 0.01d0*had
 ue = 1d0 + 0.01d0*ue
 totnp = 1d0 + 0.01d0*totnp
 dsys = 0.01d0*dsys
 sig = sig/totnp
 sta = sta*sig
 do i = 1,48
     dsys(i,:) = dsys(i,:)*sig
 end do
 unc = 0.5d0*(dsys(1,:) - dsys(2,:))
 do i = 1,23
    corr(i,:) = 0.5d0*(dsys(2*i+1,:) - dsys(2*i+2,:))
 end do
 open(7,file='fastNLO_fnt2009.dato')
 7 format(f6.1,2ES11.3,24ES11.3)
 do i = 1, mfastNLO_fnt2009
    write(7,7) pt(i),sig(i),sta(i),unc(i),corr(:,i)
 end do
 close(7)
end program fastNLO_fnt2009
