!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program NA51_PLB332
 implicit none
 integer,parameter::mNA51_PLB332=1
 integer i
 double precision, dimension(mNA51_PLB332):: sqrtt,sqrts,xl,m2,ADY,estADY,esyADY,errADY,&
                                                 ubdb,estubdb,esyubdb,errubdb,dbub,errdbub
 open(5,file='NA51_PLB332.dat')
 open(7,file='NA51_PLB332_ADY.dato')
 open(8,file='NA51_PLB332_dbub.dato')
 6 format(f7.2,f5.0,f7.2,2f8.3,3f7.2)
 do i = 1, mNA51_PLB332
    read(5,*)  sqrtt(i),sqrts(i),ADY(i),estADY(i),esyADY(i),ubdb(i),estubdb(i),esyubdb(i)
 end do
 errADY = sqrt(estADY**2+esyADY**2)
 errubdb = sqrt(estubdb**2+esyubdb**2)
 dbub = 1./ubdb
 errdbub = errubdb/(ubdb**2)
 xl = sqrtt
 m2 = (sqrtt**2)*(sqrts**2)
 5 format(2f7.2,3f8.3)
 4 format(f7.2,3f8.3)
 do i = 1, mNA51_PLB332
    write(7,5) xl(i),xl(i),m2(i),ADY(i),errADY(i)
    write(8,4) xl(i),m2(i),dbub(i),errdbub(i)
 end do
 close(5)
 close(7)
 close(8)
end program NA51_PLB332
