!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program NMC_NPB483_90d
 implicit none
 integer,parameter::mNMC_NPB483_90d=73
 integer i
 double precision, dimension(mNMC_NPB483_90d)::xl,Q2l,yl,sigma_meas,E,Eprime,AC,RC,RE,R,F2l,errst,errsy,errl,sigNMC,esigNMC,factor
 open(5,file='NMC_NPB483_90d.dat')
 open(7,file='NMC_NPB483_F2d_90.dato')
 open(8,file='NMC_NPB483_sigd_90.dato')
 do i = 1, mNMC_NPB483_90d
     read(5,*)  xl(i),Q2l(i),yl(i),sigma_meas(i),E(i),Eprime(i),AC(i),RC(i),RE(i),R(i),F2l(i),errst(i),errsy(i)
 end do
 errl = dsqrt(errst**2d0 + errsy**2d0)
 factor = (1d0 -yl -xl*xl*yl*yl*0.881565d0/Q2l + 0.5d0*yl*yl*(1d0 + 4d0*xl*xl*0.881565d0/Q2l)/(1d0+R))
 sigNMC = factor*F2l
 esigNMC = factor*errl
 4 format(f9.4,f7.2,2f9.4)
 5 format(f9.4,f8.3,f7.2,2f10.5)
 do i = 1, mNMC_NPB483_90d
    write(7,4) xl(i),Q2l(i),F2l(i),errl(i)
    write(8,5) xl(i),yl(i),Q2l(i),sigNMC(i),esigNMC(i)
 end do
 close(5)
 close(7)
 close(8)
end program NMC_NPB483_90d
