!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program NMC_NPB483_F2p
 implicit none
 integer,parameter::mNMC_NPB483_F2p=158
 integer i
 double precision, dimension(mNMC_NPB483_F2p):: xl,Q2l,RNMC_NPB483_F2p,F2NMC_NPB483_F2p,errst,errsy,errl,R1990,F21990   
 open(5,file='NMC_NPB483_F2p.dat')
 open(7,file='NMC_NPB483_F2p.dato')
 do i = 1, mNMC_NPB483_F2p
     read(5,*) xl(i),Q2l(i),RNMC_NPB483_F2p(i),F2NMC_NPB483_F2p(i),errst(i),errsy(i),R1990(i),F21990(i)
     errl(i)=sqrt(errst(i)**2+errsy(i)**2)
 end do
 4 format(f9.4,f7.2,2f9.4)
 do i = 1, mNMC_NPB483_F2p
    write(7,4) xl(i),Q2l(i),F2NMC_NPB483_F2p(i),errl(i)
 end do 
 close(5)
 close(7)
end program NMC_NPB483_F2p
