!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program SLAC_E155_d
 implicit none
 integer, parameter::mSLAC_E155_Apad=75
 integer i
 double precision,dimension(mSLAC_E155_Apad)::tar,E,theta,x,y,Q2,A,stat,sys
 character*132 whatever
 4 format(a132)
 open(5,file='SLAC_E155_long_d')
 do i = 1,2
    read(5,4) whatever
 end do
 do i = 1, mSLAC_E155_Apad
    read(5,*) tar(i),E(i),theta(i),x(i),Q2(i),A(i),stat(i),sys(i)
    if (A(i)<1d-3) A(i) = 2d-4
 end do
 10 format(6f8.4)
 y = Q2/x/2d0/0.93891805d0/E
 open(11,file='SLAC_E155_Apad.dato')
 do i = 1, mSLAC_E155_Apad
    write(11,10)  x(i),y(i),Q2(i),A(i),stat(i),sys(i)
 end do
 close(11)
end program SLAC_E155_d
