!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program SLAC_PRD54
 implicit none
 integer,parameter::mSLAC_PRD54_A1He=8,mSLAC_PRD54_A2He=8
 integer i
 double precision,dimension(mSLAC_PRD54_A1He)::A1x,A1Q2,A1,A1stat,A1sys
 double precision,dimension(mSLAC_PRD54_A2He)::A2x,A2Q2,A2,A2stat,A2sys
 character*12 xrange
character*132 whatever
 4 format(a132)
 open(5,file='SLAC_E142_3He')
 do i = 1,3
    read(5,4) whatever
 end do
 do i = 1,mSLAC_PRD54_A1He
    read(5,*) xrange,A1x(i),A1Q2(i),A1(i),A1stat(i),A1sys(i)
 end do
 do i = 1,5
    read(5,4) whatever
 end do
 do i = 1,mSLAC_PRD54_A2He
    read(5,*) xrange,A2x(i),A2Q2(i),A2(i),A2stat(i),A2sys(i)
 end do
 close(5)
 10 format(f8.3,f6.1,3f9.4)
 open(11,file='SLAC_PRD54_A1He.dato')
 do i = 1, mSLAC_PRD54_A1He
    write(11,10)  A1x(i),A1Q2(i),A1(i),A1stat(i),A1sys(i)
 end do
 close(11)
 open(11,file='SLAC_PRD54_A2He.dato')
 do i = 1, mSLAC_PRD54_A2He
    write(11,10)  A2x(i),A2Q2(i),A2(i),A2stat(i),A2sys(i)
 end do
 close(11)
end program SLAC_PRD54
