!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program SLAC_PRL79
 implicit none
 integer,parameter::mSLAC_PRL79=18
 integer i
 double precision,parameter::M=0.9387026d0,E=48.3d0
 double precision,dimension(mSLAC_PRL79)::x,y,Q2,Apa,Apastat,Apasys,Ape,Apestat,Apesys
 character*15 xrange
 character*132 whatever
 4 format(a132)
 open(5,file='SLAC_E154_3He')
 do i = 1,5
    read(5,4) whatever
 end do
 do i = 1,10
    read(5,*) xrange,x(i),Q2(i),Apa(i),Apastat(i),Apasys(i),Ape(i),Apestat(i),Apesys(i)
    if (Ape(i)==0d0) Ape(i) = 2.5d-5
 end do
 do i = 1,1
    read(5,4) whatever
 end do
 do i = 11,mSLAC_PRL79
    read(5,*) xrange,x(i),Q2(i),Apa(i),Apastat(i),Apasys(i),Ape(i),Apestat(i),Apesys(i)
    if (Ape(i)==0d0) Ape(i) = 2.5d-5
 end do
 close(5)
 y = Q2/x/2d0/M/E
 10 format(f8.3,f9.4,f7.2,3f11.6)
 open(11,file='SLAC_PRL79_ApaHe.dato')
 do i = 1, mSLAC_PRL79
    write(11,10)  x(i),y(i),Q2(i),Apa(i),Apastat(i),Apasys(i)
 end do
 close(11)
 open(11,file='SLAC_PRL79_ApeHe.dato')
 do i = 1, mSLAC_PRL79
    write(11,10)  x(i),y(i),Q2(i),Ape(i),Apestat(i),Apesys(i)
 end do
 close(11)
end program SLAC_PRL79
