!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program SMC_PRD58_A1p
 implicit none
 integer, parameter::mSMC_PRD58_A1p=15
 integer i
 double precision, dimension(mSMC_PRD58_A1p)::xmin,xmax,x,Q2,A1p,stat,sys,xcheck,Afalse,Pt,Pmu,fp,rc,A2,R,MR,Pbg,unca
 character*132 whatever
 4 format(a132)
 open(5,file='SMC_PRD58_p')
 do i = 1,7
    read(5,4) whatever
 end do
 do i = 1, mSMC_PRD58_A1p
    if (i==4) read(5,4) whatever
    read(5,*) xmin(i),xmax(i),xcheck(i),Q2(i),A1p(i),stat(i),sys(i),whatever
 end do
 close(5)
 open(5,file='systematics_p')
 read(5,4) whatever
 do i = 1, mSMC_PRD58_A1p
    read(5,*) x(i),Afalse(i),Pt(i),Pmu(i),fp(i),rc(i),A2(i),R(i),MR(i),Pbg(i)
    if (x(i) /= xcheck(i)) then
    end if 
 end do
 close(5)
 unca = dsqrt( Afalse**2d0 + rc**2d0 + A2**2d0 + MR**2d0 + Pbg**2d0)
 10 format(f10.5,f7.2,7f8.4)
 open(11,file='SMC_PRD58_A1p.dato')
 do i = 1, mSMC_PRD58_A1p
    write(11,10)  x(i),Q2(i),A1p(i),stat(i),unca(i),Pt(i),Pmu(i),fp(i),R(i)
 end do
 close(11)
end program SMC_PRD58_A1p
