!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program ZEUS_EPJC21
 implicit none
 integer,parameter:: mZEUS_EPJC21=242
 integer i
 double precision, dimension(mZEUS_EPJC21):: Q2l,xl,yl,Ndata,Nphp,sigrp,errstp,errstm,errsy,F2pl,&
                                             errlpF2,errlmF2,errlF2,errlpsigrp,errlmsigrp,errlsigrp
 open(5,file='ZEUS_EPJC21.dat')
 open(7,file='ZEUS_EPJC21_F2p.dato')
 open(8,file='ZEUS_EPJC21_sigrp.dato')
 do i = 1, mZEUS_EPJC21
    read(5,*)  Q2l(i),xl(i),yl(i),Ndata(i),Nphp(i),sigrp(i),errstp(i),errsy(i),F2pl(i),errstm(i)
    if (errstm(i)==0) errstm(i)=errstp(i)
 end do
 errlpF2 = sqrt(errstp**2+errsy**2)*0.01*F2pl
 errlmF2 = sqrt(errstm**2+errsy**2)*0.01*F2pl
 errlF2 = 0.5*(errlpF2+errlmF2)
 errlpsigrp = sqrt(errstp**2+errsy**2)*0.01*sigrp
 errlmsigrp = sqrt(errstm**2+errsy**2)*0.01*sigrp
 errlsigrp = 0.5*(errlpsigrp+errlmsigrp)
 4 format(e12.2,f8.1,4f9.4)
 5 format(2e12.2,f8.1,4f9.4)
 do i = 1, mZEUS_EPJC21
    write(7,4) xl(i),Q2l(i),F2pl(i),errlF2(i),errlmF2(i),errlpF2(i)
    write(8,5) xl(i),yl(i),Q2l(i),sigrp(i),errlsigrp(i),errlmsigrp(i),errlpsigrp(i)
 end do 
 close(5)
 close(7)
end program ZEUS_EPJC21
