!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program ZEUS_ZPC69_F2p
 implicit none
 integer,parameter::mZEUS_ZPC69_F2p=23
 integer i
 double precision,dimension(mZEUS_ZPC69_F2p):: xmin,xmax,xl,Q2min,Q2max,Q2l,&
                                               F2l,errst,errsyp,errsym,errsy,errl,errlm,errlp
 open(5,file='ZEUS_ZPC69_F2p.dat')
 open(7,file='ZEUS_ZPC69_F2p.dato')
 do i = 1, mZEUS_ZPC69_F2p
    read(5,*) xmin(i),xmax(i),xl(i),Q2min(i),Q2max(i),Q2l(i),&
              F2l(i),errst(i),errsyp(i),errsym(i)
    errsy(i)=(errsyp(i)-errsym(i))/2.
    errl(i)=sqrt(errst(i)**2+errsy(i)**2)
    errlm(i)=sqrt(errst(i)**2+errsym(i)**2) 
    errlp(i)=sqrt(errst(i)**2+errsyp(i)**2) 
 end do
 4 format(f11.6,f6.1,4f7.2)
 do i = 1, mZEUS_ZPC69_F2p
    write(7,4)xl(i),Q2l(i),F2l(i),errl(i),errlm(i),errlp(i)
 end do 
 close(5)
 close(7)
end program ZEUS_ZPC69_F2p
