!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program ZEUS_ZPC72_F2p
 implicit none
 integer,parameter::npoints=188
 integer i
 double precision, dimension(npoints):: xmin,xmax,xl,Q2min,Q2max,Q2l,F2l,F2lem,errst,errsyp,errsym,errsy,errl,errlm,errlp,dl
 open(5,file='ZEUS_ZPC72_F2p.dat')
 do i = 1, 172
    read(5,*) xmin(i),xmax(i),xl(i),Q2min(i),Q2max(i),Q2l(i),F2l(i),errst(i),errsyp(i),errsym(i),dl(i)
 end do
 do i = 173, npoints
    read(5,*) xmin(i),xmax(i),xl(i),Q2min(i),Q2max(i),Q2l(i),F2l(i),F2lem(i),errst(i),errsyp(i),errsym(i),dl(i)
 end do
 close(5)
 errsy=(errsyp-errsym)/2d0
 errl=dsqrt(errst**2+errsy**2d0)
 errlm=dsqrt(errst**2+errsym**2d0) 
 errlp=dsqrt(errst**2+errsyp**2d0) 
 F2l(173:npoints)=F2lem(173:npoints)
 4 format(f11.6,f8.1,4f8.3)
 open(7,file='ZEUS_ZPC72_F2p.dato')
 do i = 1, npoints
    write(7,4) xl(i),Q2l(i),F2l(i),errl(i),errlm(i),errlp(i)
 end do  
 close(7)
end program ZEUS_ZPC72_F2p
