!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
subroutine predice
 use master
 use database
 implicit none
 logical,external::isexception
 integer i
 double precision,external::F2p,F2d,F2np,F2dp,F2pc,F2Fec,F2pb,DYpp,DYpCu,DYpd,ADY,DYd2p,dvuv,dbub,db_ub,db_ubu_d
 double precision,external::sigrNCp,sigrNCm,FLp,sigFTp,sigFTd,sigrCCp,sigrCCm,sigpl,pgg,sigrc,sigdp
 double precision,external::A1p,A2p,Apap,Apep,A1d,Apad,Aped,A1He,A1n,A2He,ApaHe,ApeHe,ApeE155xp,ApeE155xd,ALLpi0
 double precision,external::IntSU2,IntSU3,pupup,pdpdp,IntxDub,IntxDdb,IntxDsb
 double precision xst1001(npoints(46)),xst1002(npoints(47)),xst2002(npoints(48))
 double precision xsh2001(npoints(93)),xsh2003(npoints(94)),xst2007(npoints(95)),xst2009(npoints(96))
 do i = 1,ntotal
    select case (used(i))
     case (.false.)
        theory(i) = 0d0
        theory(i) = 0d0/theory(i)
     case (.true.)
        !01SLAC_PLB282_F2p
        if (i <= ncumul(1)) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !02BCDMS_PLB223_F2p
        else if ((ncumul(1) < i).and.(i <= ncumul(2))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !03E655_PRD54_F2p
        else if ((ncumul(2) < i).and.(i <= ncumul(3))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !04NMC_NPB483_F2p
        else if ((ncumul(3) < i).and.(i <= ncumul(4))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !05H1_NPB470_F2p
        else if ((ncumul(4) < i).and.(i <= ncumul(5))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !06H1_NPB497_F2p
        else if ((ncumul(5) < i).and.(i <= ncumul(6))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !07H1_EPJC13_F2p
        else if ((ncumul(6) < i).and.(i <= ncumul(7))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !08H1_EPJC19_F2p
        else if ((ncumul(7) < i).and.(i <= ncumul(8))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !09H1_EPJC21_F2p
        else if ((ncumul(8) < i).and.(i <= ncumul(9))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !10H1_EPJC30_F2p
        else if ((ncumul(9) < i).and.(i <= ncumul(10))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !11ZEUS_ZPC69_F2p data
        else if ((ncumul(10) < i).and.(i <= ncumul(11))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !12ZEUS_ZPC72_F2p
        else if ((ncumul(11) < i).and.(i <= ncumul(12))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !13ZEUS_EPJC21_F2p
        else if ((ncumul(12) < i).and.(i <= ncumul(13))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !14BCDMS_PLB237_F2np
        else if ((ncumul(13) < i).and.(i <= ncumul(14))) then
           theory(i) = F2np(xdata(i),Q2data(i))
        !15E665_PRL75_F2np
        else if ((ncumul(14) < i).and.(i <= ncumul(15))) then
           theory(i) = F2np(xdata(i),Q2data(i))
        !16NMC_NPB487_F2dp
        else if ((ncumul(15) < i).and.(i <= ncumul(16))) then
           theory(i) = F2dp(xdata(i),Q2data(i))
        !17EMC_NPB213_F2Fec
        else if ((ncumul(16) < i).and.(i <= ncumul(17))) then
           theory(i) = F2Fec(xdata(i),Q2data(i))
        !18ZEUS_EPJC12_F2pc
        else if ((ncumul(17) < i).and.(i <= ncumul(18))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !19ZEUS_PRD69_F2pc
        else if ((ncumul(18) < i).and.(i <= ncumul(19))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !20H1_PLB528_F2pc
        else if ((ncumul(19) < i).and.(i <= ncumul(20))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !21H1_EPJC40_F2pc
        else if ((ncumul(20) < i).and.(i <= ncumul(21))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !22H1_EPJC45_F2pc
        else if ((ncumul(21) < i).and.(i <= ncumul(22))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !23H1_EPJC40_F2pb
        else if ((ncumul(22) < i).and.(i <= ncumul(23))) then
           theory(i) = F2pb(xdata(i),Q2data(i))
        !24H1_EPJC45_F2pb
        else if ((ncumul(23) < i).and.(i <= ncumul(24))) then
           theory(i) = F2pb(xdata(i),Q2data(i))
        !25E605_PRD43_DYpCu
        else if ((ncumul(24) < i).and.(i <= ncumul(25))) then
           theory(i) = DYpCu(x1data(i),x2data(i),m2data(i))
        !26E866_Private_DYpp
        else if ((ncumul(25) < i).and.(i <= ncumul(26))) then
           theory(i) = DYpp(x1data(i),x2data(i),m2data(i))
        !27E866_Private_DYpd
        else if ((ncumul(26) < i).and.(i <= ncumul(27))) then
           theory(i) = DYpd(x1data(i),x2data(i),m2data(i))
        !28NA51_PLB332_ADY
        else if ((ncumul(27) < i).and.(i <= ncumul(28))) then
           theory(i) = ADY(x1data(i),x2data(i),m2data(i))
        !29E866_PRL80_DYd2p
        else if ((ncumul(28) < i).and.(i <= ncumul(29))) then
           theory(i) = DYd2p(x1data(i),x2data(i),m2data(i))
        !30E866_PRD64_DYd2p
        else if ((ncumul(29) < i).and.(i <= ncumul(30))) then
           theory(i) = DYd2p(x1data(i),x2data(i),m2data(i))
        !31CDHSW_ZPC25_dvuv
        else if ((ncumul(30) < i).and.(i <= ncumul(31))) then
           theory(i) = dvuv(xdata(i),Q2data(i))
        !32WA21_ZPC62_dvuv
        else if ((ncumul(31) < i).and.(i <= ncumul(32))) then
           theory(i) = dvuv(xdata(i),Q2data(i))
        !33NA51_PLB332_dbub
        else if ((ncumul(32) < i).and.(i <= ncumul(33))) then
           theory(i) = dbub(xdata(i),Q2data(i))
        !34HERMES_PRL81_db-ub
        else if ((ncumul(33) < i).and.(i <= ncumul(34))) then
           theory(i) = db_ub(xdata(i),Q2data(i))
        !35HERMES_PRL81_db-ubu-d
        else if ((ncumul(34) < i).and.(i <= ncumul(35))) then
           theory(i) = db_ubu_d(xdata(i),Q2data(i))
        !36E866_PRD64_dbub
        else if ((ncumul(35) < i).and.(i <= ncumul(36))) then
           theory(i) = dbub(xdata(i),Q2data(i))
        !37E866_PRD64_db-ub
        else if ((ncumul(36) < i).and.(i <= ncumul(37))) then
           theory(i) = db_ub(xdata(i),Q2data(i))
        !38H1EPJC21
        else if ((ncumul(37) < i).and.(i <= ncumul(38))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !39H1EPJC30
        else if ((ncumul(38) < i).and.(i <= ncumul(39))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !40H1EPJC30
        else if ((ncumul(39) < i).and.(i <= ncumul(40))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !41H1_EPJC13_sigrp
        else if ((ncumul(40) < i).and.(i <= ncumul(41))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        !42H1_EPJC19_sigrm
        else if ((ncumul(41) < i).and.(i <= ncumul(42))) then
           theory(i) = sigrNCm(xdata(i),ydata(i),Q2data(i))
        !43H1_EPJC21_sigrp
        else if ((ncumul(42) < i).and.(i <= ncumul(43))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        !44H1_EPJC30_sigrp
        else if ((ncumul(43) < i).and.(i <= ncumul(44))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        !45ZEUS_EPJC21_sigrp
        else if ((ncumul(44) < i).and.(i <= ncumul(45))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        !46fastNLO_fnt1001
        else if ((ncumul(45) < i).and.(i <= ncumul(46))) then
           if (i==ncumul(45)+1) call fastNLO(1,npoints(46),xst1001)
           theory(i) = xst1001(i-ncumul(45))
        !47fastNLO_fnt1002
        else if ((ncumul(46) < i).and.(i <= ncumul(47))) then
           if (i==ncumul(46)+1) call fastNLO(2,npoints(47),xst1002)
           theory(i) = xst1002(i-ncumul(46))
        !48fastNLO_fnt2002
        else if ((ncumul(47) < i).and.(i <= ncumul(48))) then
           if (i==ncumul(47)+1) call fastNLO(3,npoints(48),xst2002)
           theory(i) = xst2002(i-ncumul(47))
        !49JLab_PRC80_F2p
        else if ((ncumul(48) < i).and.(i <= ncumul(49))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !50JLab_PRC80_F2d
        else if ((ncumul(49) < i).and.(i <= ncumul(50))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !51NMC_NPB483_F2p_90
        else if ((ncumul(50) < i).and.(i <= ncumul(51))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !52NMC_NPB483_F2p_120
        else if ((ncumul(51) < i).and.(i <= ncumul(52))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !53NMC_NPB483_F2p_200
        else if ((ncumul(52) < i).and.(i <= ncumul(53))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !54NMC_NPB483_F2p_280
        else if ((ncumul(53) < i).and.(i <= ncumul(54))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !55SLAC_PLB282_sigrpCO
        else if ((ncumul(54) < i).and.(i <= ncumul(55))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !56NMC_NPB483_sigNMC_90
        else if ((ncumul(55) < i).and.(i <= ncumul(56))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !57NMC_NPB483_sigNMC_120
        else if ((ncumul(56) < i).and.(i <= ncumul(57))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !58NMC_NPB483_sigNMC_200
        else if ((ncumul(57) < i).and.(i <= ncumul(58))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !59NMC_NPB483_sigNMC_280
        else if ((ncumul(58) < i).and.(i <= ncumul(59))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !60E866_PRD64_DYd2pCO
        else if ((ncumul(59) < i).and.(i <= ncumul(60))) then
           theory(i) = DYd2p(x1data(i),x2data(i),m2data(i))
        !61NMC_NPB483_F2d_90
        else if ((ncumul(60) < i).and.(i <= ncumul(61))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !62NMC_NPB483_F2d_120
        else if ((ncumul(61) < i).and.(i <= ncumul(62))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !63NMC_NPB483_F2d_200
        else if ((ncumul(62) < i).and.(i <= ncumul(63))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !64NMC_NPB483_F2d_280
        else if ((ncumul(63) < i).and.(i <= ncumul(64))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !65SLAC_PLB282_sigrdCO
        else if ((ncumul(64) < i).and.(i <= ncumul(65))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !66NMC_NPB483_sigNMCd_90
        else if ((ncumul(65) < i).and.(i <= ncumul(66))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !67NMC_NPB483_sigNMCd_120
        else if ((ncumul(66) < i).and.(i <= ncumul(67))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !68NMC_NPB483_sigNMCd_200
        else if ((ncumul(67) < i).and.(i <= ncumul(68))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !69NMC_NPB483_sigNMCd_280
        else if ((ncumul(68) < i).and.(i <= ncumul(69))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !70SLAC_PLB282_F2d
        else if ((ncumul(69) < i).and.(i <= ncumul(70))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !71NuTeV_PRL99_sigplnu.
        else if ((ncumul(70) < i).and.(i <= ncumul(71))) then
           theory(i) = sigpl(1,xdata(i),ydata(i),Edata(i),aceptance(i))
        !72NuTeV_PRL99_sigplnub.
        else if ((ncumul(71) < i).and.(i <= ncumul(72))) then
           theory(i) = sigpl(-1,xdata(i),ydata(i),Edata(i),aceptance(i))
        !73CCFR_PRD64_sigplnu.
        else if ((ncumul(72) < i).and.(i <= ncumul(73))) then
           theory(i) = sigpl(1,xdata(i),ydata(i),Edata(i),aceptance(i))
        !74CCFR_PRD64_sigplnub.
        else if ((ncumul(73) < i).and.(i <= ncumul(74))) then
           theory(i) = sigpl(-1,xdata(i),ydata(i),Edata(i),aceptance(i))
        !75BCDMS_PLB237_F2d
        else if ((ncumul(74) < i).and.(i <= ncumul(75))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !76HERA_JHEP0110_sigrNCp
        else if ((ncumul(75) < i).and.(i <= ncumul(76))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        !77HERA_JHEP0110_sigrNCm
        else if ((ncumul(76) < i).and.(i <= ncumul(77))) then
           theory(i) = sigrNCm(xdata(i),ydata(i),Q2data(i))
        !78HERA_JHEP0110_sigrCCp
        else if ((ncumul(77) < i).and.(i <= ncumul(78))) then
           theory(i) = sigrCCp(xdata(i),ydata(i),Q2data(i))
        !79HERA_JHEP0110_sigrCCm
        else if ((ncumul(78) < i).and.(i <= ncumul(79))) then
           theory(i) = sigrCCm(xdata(i),ydata(i),Q2data(i))
        !80E655_PRD54_F2d
        else if ((ncumul(79) < i).and.(i <= ncumul(80))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !81HERA_JHEP0110_sigrCO
        else if ((ncumul(80) < i).and.(i <= ncumul(80) + npoints(76))) then
           theory(i) = sigrNCp(xdata(i),ydata(i),Q2data(i))
        else if ((ncumul(80) + npoints(76) < i).and.(i <= ncumul(80) + npoints(76)+npoints(77))) then
           theory(i) = sigrNCm(xdata(i),ydata(i),Q2data(i))
        else if ((ncumul(80) + npoints(76)+npoints(77) < i).and.(i <= ncumul(80) + npoints(76)+npoints(77)+npoints(78))) then
           theory(i) = sigrCCp(xdata(i),ydata(i),Q2data(i))
        else if ((ncumul(80) + npoints(76)+npoints(77)+npoints(78) < i).and.(i <= ncumul(81))) then
           theory(i) = sigrCCm(xdata(i),ydata(i),Q2data(i))
        !82E655_PRD54_F2CO
        else if ((ncumul(81) < i).and.(i <= ncumul(81) + 91)) then
           theory(i) = F2p(xdata(i),Q2data(i))
        else if ((ncumul(81) + 91 < i).and.(i <= ncumul(82))) then
           theory(i) = F2d(xdata(i),Q2data(i))
        !83NMC_NPB483_sigrCO
        else if ((ncumul(82) < i).and.(i <= ncumul(82) + 292)) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        else if ((ncumul(82) + 292 < i).and.(i <= ncumul(83))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !84BCDMS_PLB223_F2pCO
        else if ((ncumul(83) < i).and.(i <= ncumul(84))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !85BCDMS_PLB237_F2dCO
        else if ((ncumul(84) < i).and.(i <= ncumul(85))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !86NMC_NPB487_F2dp
        else if ((ncumul(85) < i).and.(i <= ncumul(86))) then
           theory(i) = F2dp(xdata(i),Q2data(i))
        !87H1_EPJC71_F2p
        else if ((ncumul(86) < i).and.(i <= ncumul(87))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !88H1_EPJC71_FLp
        else if ((ncumul(87) < i).and.(i <= ncumul(88))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !89H1_EPJC71_F2pc
        else if ((ncumul(88) < i).and.(i <= ncumul(89))) then
           theory(i) = F2pc(xdata(i),Q2data(i))
        !90combined_dimuon_sigpl
        else if ((ncumul(89) < i).and.(i <= ncumul(89) + npoints(71))) then
           theory(i) = sigpl(1,xdata(i),ydata(i),Edata(i),aceptance(i))
        else if ((ncumul(89) + npoints(71) < i).and.(i <= ncumul(89) + npoints(71)+npoints(72))) then
           theory(i) = sigpl(-1,xdata(i),ydata(i),Edata(i),aceptance(i))
        else if ((ncumul(89) + npoints(71)+npoints(72) < i).and.(i <= ncumul(89) + npoints(71)+npoints(72)+npoints(73))) then
           theory(i) = sigpl(1,xdata(i),ydata(i),Edata(i),aceptance(i))
        else if ((ncumul(89) + npoints(71)+npoints(72)+npoints(73) < i).and.(i <= ncumul(90))) then
           theory(i) = sigpl(-1,xdata(i),ydata(i),Edata(i),aceptance(i))
        !91JLab_PRC80_sigp
        else if ((ncumul(90) < i).and.(i <= ncumul(91))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !92JLab_PRC80_sigd
        else if ((ncumul(91) < i).and.(i <= ncumul(92))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !93fastNLO_fnh2001
        else if ((ncumul(92) < i).and.(i <= ncumul(93))) then
           if (i==ncumul(92)+1) call fastNLO(4,npoints(93),xsh2001)
           theory(i) = xsh2001(i-ncumul(92))
        !94fastNLO_fnh2003
        else if ((ncumul(93) < i).and.(i <= ncumul(94))) then
           if (i==ncumul(93)+1) call fastNLO(5,npoints(94),xsh2003)
           theory(i) = xsh2003(i-ncumul(93))
        !95fastNLO_fnt2007
        else if ((ncumul(94) < i).and.(i <= ncumul(95))) then
           if (i==ncumul(94)+2) call fastNLO(6,npoints(95),xst2007)
           theory(i) = xst2007(i-ncumul(94))
        !96fastNLO_fnt2009
        else if ((ncumul(95) < i).and.(i <= ncumul(96))) then
           if (i==ncumul(95)+1) call fastNLO(7,npoints(96),xst2009)
           theory(i) = xst2009(i-ncumul(95))
        !97HERA_EPJC73_sigrc
        else if ((ncumul(96) < i).and.(i <= ncumul(97))) then
           theory(i) = sigrc(xdata(i),ydata(i),Q2data(i))
        !98HERMES_JHEP05_sigp
        else if ((ncumul(97) < i).and.(i <= ncumul(98))) then
           theory(i) = sigFTp(xdata(i),ydata(i),Q2data(i))
        !99HERMES_JHEP05_sigd
        else if ((ncumul(98) < i).and.(i <= ncumul(99))) then
           theory(i) = sigFTd(xdata(i),ydata(i),Q2data(i))
        !100HERMES_JHEP05_sigdp
        else if ((ncumul(99) < i).and.(i <= ncumul(100))) then
           theory(i) = sigdp(xdata(i),ydata(i),Q2data(i))
        !101SLAC_PRL51_Apap
        else if ((ncumul(100) < i).and.(i <= ncumul(101))) then
           theory(i) = Apap(xdata(i),ydata(i),Q2data(i))
        !102EMC_NPB328_A1p
        else if ((ncumul(101) < i).and.(i <= ncumul(102))) then
           theory(i) = A1p(xdata(i),Q2data(i))
        !103SMC_PRD58_A1p
        else if ((ncumul(102) < i).and.(i <= ncumul(103))) then
           theory(i) = A1p(xdata(i),Q2data(i))
        !104SMC_PRD60_A1p
        else if ((ncumul(103) < i).and.(i <= ncumul(104))) then
           theory(i) = A1p(xdata(i),Q2data(i))
        !105COMPASS_PLB690_A1p
        else if ((ncumul(104) < i).and.(i <= ncumul(105))) then
           theory(i) = A1p(xdata(i),Q2data(i))
        !106SLAC_PRD58_Apap
        else if ((ncumul(105) < i).and.(i <= ncumul(106))) then
           theory(i) = Apap(xdata(i),ydata(i),Q2data(i))
        !107SLAC_PRD58_Apep
        else if ((ncumul(106) < i).and.(i <= ncumul(107))) then
           theory(i) = Apep(xdata(i),ydata(i),Q2data(i))
        !108SLAC_PLB553_ApeE155xp
        else if ((ncumul(107) < i).and.(i <= ncumul(108))) then
           theory(i) = ApeE155xp(xdata(i),ydata(i),Q2data(i))
        !109HERMES_PRD75_Apap
        else if ((ncumul(108) < i).and.(i <= ncumul(109))) then
           theory(i) = Apap(xdata(i),ydata(i),Q2data(i))
        !110JLabHallB_PLB641_A1p
        else if ((ncumul(109) < i).and.(i <= ncumul(110))) then
           theory(i) = A1p(xdata(i),Q2data(i))
        !111SMC_PRD58_A1d
        else if ((ncumul(110) < i).and.(i <= ncumul(111))) then
           theory(i) = A1d(xdata(i),Q2data(i))
        !112SMC_PRD60_A1d
        else if ((ncumul(111) < i).and.(i <= ncumul(112))) then
           theory(i) = A1d(xdata(i),Q2data(i))
        !113COMPASS_PLB47_A1d
        else if ((ncumul(112) < i).and.(i <= ncumul(113))) then
           theory(i) = A1d(xdata(i),Q2data(i))
        !114SLAC_PRD58_Apad
        else if ((ncumul(113) < i).and.(i <= ncumul(114))) then
           theory(i) = Apad(xdata(i),ydata(i),Q2data(i))
        !115SLAC_PRD58_ApeE155xd
        else if ((ncumul(114) < i).and.(i <= ncumul(115))) then
           theory(i) = Aped(xdata(i),ydata(i),Q2data(i))
        !116SLAC_PLB493_Aped
        else if ((ncumul(115) < i).and.(i <= ncumul(116))) then
           theory(i) = ApeE155xd(xdata(i),ydata(i),Q2data(i))
        !117HERMES_PRD75_Apap
        else if ((ncumul(116) < i).and.(i <= ncumul(117))) then
           theory(i) = Apad(xdata(i),ydata(i),Q2data(i))
        !118JLabHallB_PLB641_A1d
        else if ((ncumul(117) < i).and.(i <= ncumul(118))) then
           theory(i) = A1d(xdata(i),Q2data(i))
        !119SU2_baryon decay constraints
        else if ((ncumul(118) < i).and.(i <= ncumul(119))) then
           theory(i) = IntSU2()
        !120SU3_baryon decay constraints
        else if ((ncumul(119) < i).and.(i <= ncumul(120))) then
           theory(i) = IntSU3()
        !121SLAC_PRD54_A1He
        else if ((ncumul(120) < i).and.(i <= ncumul(121))) then
           theory(i) = A1He(xdata(i),Q2data(i))
        !122SLAC_PRD54_A2He
        else if ((ncumul(121) < i).and.(i <= ncumul(122))) then
           theory(i) = A2He(xdata(i),Q2data(i))
        !123SLAC_PRL79_ApaHe
        else if ((ncumul(122) < i).and.(i <= ncumul(123))) then
           theory(i) = ApaHe(xdata(i),ydata(i),Q2data(i))
        !124SLAC_PRL79_ApeHe
        else if ((ncumul(123) < i).and.(i <= ncumul(124))) then
           theory(i) = ApeHe(xdata(i),ydata(i),Q2data(i))
        !125HERMES_PLB404_A1n
        else if ((ncumul(124) < i).and.(i <= ncumul(125))) then
           theory(i) = A1n(xdata(i),Q2data(i))
        !126JLabHallA_PRL92_ApaHe
        else if ((ncumul(125) < i).and.(i <= ncumul(126))) then
           theory(i) = ApaHe(xdata(i),ydata(i),Q2data(i))
        !127JLabHallA_PRL92_ApeHe
        else if ((ncumul(126) < i).and.(i <= ncumul(127))) then
           theory(i) = ApeHe(xdata(i),ydata(i),Q2data(i))
        !128JLabHallA_PRL95_ApaHe
        else if ((ncumul(127) < i).and.(i <= ncumul(128))) then
           theory(i) = ApaHe(xdata(i),ydata(i),Q2data(i))
        !129JLabHallA_PRL95_ApeHe
        else if ((ncumul(128) < i).and.(i <= ncumul(129))) then
           theory(i) = ApeHe(xdata(i),ydata(i),Q2data(i))
        !130JLabHallA_PRL95_ApaHe
        else if ((ncumul(129) < i).and.(i <= ncumul(130))) then
           theory(i) = ApaHe(xdata(i),ydata(i),Q2data(i))
        !131SLAC_PLB493_Apap
        else if ((ncumul(130) < i).and.(i <= ncumul(131))) then
           theory(i) = Apap(xdata(i),ydata(i),Q2data(i))
        !132SLAC_PLB463_Apad
        else if ((ncumul(131) < i).and.(i <= ncumul(132))) then
           theory(i) = Apad(xdata(i),ydata(i),Q2data(i))
        !133SLAC_PLB493_Apep
        else if ((ncumul(132) < i).and.(i <= ncumul(133))) then
           theory(i) = Apep(xdata(i),ydata(i),Q2data(i))
        !134SLAC_PLB463_Aped
        else if ((ncumul(133) < i).and.(i <= ncumul(134))) then
           theory(i) = Aped(xdata(i),ydata(i),Q2data(i))
        !135HERMES_EPJC72_A2p
        else if ((ncumul(134) < i).and.(i <= ncumul(135))) then
           theory(i) = A2p(xdata(i),Q2data(i))
        !136COMPASS_12116849_Dgg
        else if ((ncumul(135) < i).and.(i <= ncumul(136))) then
           theory(i) = pgg(xdata(i),Q2data(i))
        !137UPLUS_dominance constraint
        else if ((ncumul(136) < i).and.(i <= ncumul(137))) then
           theory(i) = pupup(xdata(i),Q2data(i))
        !138DPLUS_dominance constraint
        else if ((ncumul(137) < i).and.(i <= ncumul(138))) then
           theory(i) = pdpdp(xdata(i),Q2data(i))        
        !139DUB_secondmoment constraint
        else if ((ncumul(138) < i).and.(i <= ncumul(139))) then
           theory(i) = 0.5d0*(dabs(IntxDub()/IntxDsb()) + dabs(IntxDsb()/IntxDub()))
        !140DDB_secondmoment constraint
        else if ((ncumul(139) < i).and.(i <= ncumul(140))) then
           theory(i) = 0.5d0*(dabs(IntxDdb()/IntxDsb()) + dabs(IntxDsb()/IntxDdb()))                   
        !141BCDMS_PRL_F2p
        else if ((ncumul(140) < i).and.(i <= ncumul(141))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !142BCDMS_PRL_FLp
        else if ((ncumul(141) < i).and.(i <= ncumul(142))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !143SLAC140x_PRL_F2p
        else if ((ncumul(142) < i).and.(i <= ncumul(143))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !144SLAC140x_PRL_FLp
        else if ((ncumul(143) < i).and.(i <= ncumul(144))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !145EMC_PRL_F2p
        else if ((ncumul(144) < i).and.(i <= ncumul(145))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !146EMC_PRL_FLp
        else if ((ncumul(145) < i).and.(i <= ncumul(146))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !147JLab94110_PRL_F2p
        else if ((ncumul(146) < i).and.(i <= ncumul(147))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !148JLab94110_PRL_FLp
        else if ((ncumul(147) < i).and.(i <= ncumul(148))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !149JLab99118_PRL_F2p
        else if ((ncumul(148) < i).and.(i <= ncumul(149))) then
           theory(i) = F2p(xdata(i),Q2data(i))
        !150JLab99118_PRL_FLp
        else if ((ncumul(149) < i).and.(i <= ncumul(150))) then
           theory(i) = FLp(xdata(i),Q2data(i))
        !151JLabHallA_E1206122_A1n
        else if ((ncumul(150) < i).and.(i <= ncumul(151))) then
           theory(i) = A1n(xdata(i),Q2data(i))
        !152JLabHallB_E1206109_Apap
        else if ((ncumul(151) < i).and.(i <= ncumul(152))) then
           theory(i) = Apap(xdata(i),ydata(i),Q2data(i))
        !153JLabHallB_E1206109_Apad
        else if ((ncumul(152) < i).and.(i <= ncumul(153))) then
           theory(i) = Apad(xdata(i),ydata(i),Q2data(i))
        !154JLabHallC_E1206110_A1n
        else if ((ncumul(153) < i).and.(i <= ncumul(154))) then
           theory(i) = A1n(xdata(i),Q2data(i))
        !155PHENIX_PRD79_ALL
        else if ((ncumul(154) < i).and.(i <= ncumul(155))) then
           theory(i) = ALLpi0(pTdata(i),-0.35d0,0.35d0,62.4d0)
        !156PHENIX_14026296_ALL
        else if ((ncumul(155) < i).and.(i <= ncumul(156))) then
           theory(i) = ALLpi0(pTdata(i),-0.35d0,0.35d0,200d0)
        !157STAR_PRD80_ALL
        else if ((ncumul(156) < i).and.(i <= ncumul(157))) then
           theory(i) = ALLpi0(pTdata(i),0d0,1d0,200d0)
        !158STAR_PRD89_ALL
        else if ((ncumul(157) < i).and.(i <= ncumul(158))) then
           theory(i) = ALLpi0(pTdata(i),0.8d0,2d0,200d0)
       else
           write(6,*) 'PREDICE: data error!',i
           stop
        end if
        if (isexception(theory(i))) then
           theory = 0d0
           open(10,file='../../interface/exception.dat')
           50 format(f30.10)
           write(10,50) p
           close(10)
           return
        end if
    end select
 end do
 if (.not.rescaled) then
    rescale = dabs(theory/data)
    rescaled=.true.
 end if
 return
end subroutine predice
