!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine T4DIS
 implicit none
 integer::i
 integer,parameter::n=100!,orderp=6
 double precision::x
 double precision,external::er,T4F2p,T4F2n,T4FLp,T4FLn
 double precision::T4F2pl,T4F2nl,T4FLpl,T4FLnl
 double precision::eT4F2p,eT4F2n,eT4FLp,eT4FLn
 10 format(9f13.8)
 write(*,*)
 write(*,*) "  T4DIS:"
 open(11,file='Tag/T4DIS/T4DIS.dat')
 do i = 1,n-1
    x=dble(i)/n!n points linearly distributed
!    x = 10d0**(orderp*(dble(i)/dble(n)-1d0))!n points logarithmically distributed up to orderp
    T4F2pl = T4F2p(x)
    eT4F2p = er(T4F2p,x)
    T4F2nl = T4F2n(x)
    eT4F2n = er(T4F2n,x)
    T4FLpl = T4FLp(x)
    eT4FLp = er(T4FLp,x)
    T4FLnl = T4FLn(x)
    eT4FLn = er(T4FLn,x)
    write(11,10) x,T4F2pl,eT4F2p,T4F2nl,eT4F2n,T4FLpl,eT4FLp,T4FLnl,eT4FLn
    write(*,10)  x,T4F2pl,eT4F2p,T4F2nl,eT4F2n,T4FLpl,eT4FLp,T4FLnl,eT4FLn
 end do
 close(11)
end subroutine T4DIS
