!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s01SLAC_PLB282_F2p
use hepdata
implicit none
integer i
double precision:: xl,Q2l,F2l,errl,F2p,F2pT
7 format(f8.3,f7.2,3f10.6)
write(*,*) 
write(*,*) '  01SLAC_PLB282_F2p:'
open(10,file='../../data/dato/01SLAC_PLB282_F2p.dato')
open(11,file='Tag/01SLAC_PLB282_F2p/0050.dat')
open(12,file='Tag/01SLAC_PLB282_F2p/0070.dat')
open(13,file='Tag/01SLAC_PLB282_F2p/0090.dat')
open(14,file='Tag/01SLAC_PLB282_F2p/0100.dat')
open(15,file='Tag/01SLAC_PLB282_F2p/0130.dat')
open(16,file='Tag/01SLAC_PLB282_F2p/0155.dat')
open(17,file='Tag/01SLAC_PLB282_F2p/0185.dat')
open(18,file='Tag/01SLAC_PLB282_F2p/0250.dat')
open(19,file='Tag/01SLAC_PLB282_F2p/0350.dat')
open(20,file='Tag/01SLAC_PLB282_F2p/0450.dat')
open(21,file='Tag/01SLAC_PLB282_F2p/0550.dat')
open(22,file='Tag/01SLAC_PLB282_F2p/0650.dat')
open(23,file='Tag/01SLAC_PLB282_F2p/0750.dat')
open(24,file='Tag/01SLAC_PLB282_F2p/0850.dat')
open(25,file='Tag/01SLAC_PLB282_F2p/0950.dat')
open(26,file='Tag/01SLAC_PLB282_F2p/1050.dat')
open(27,file='Tag/01SLAC_PLB282_F2p/1150.dat')
open(28,file='Tag/01SLAC_PLB282_F2p/1250.dat')
open(29,file='Tag/01SLAC_PLB282_F2p/1400.dat')
open(30,file='Tag/01SLAC_PLB282_F2p/1700.dat')
open(31,file='Tag/01SLAC_PLB282_F2p/2200.dat')
open(32,file='Tag/01SLAC_PLB282_F2p/2800.dat')
do i = 1, m01SLAC_PLB282_F2p
   read(10,*) xl,Q2l,F2l,errl
   F2pT = F2p(xl,Q2l)/p(41)
   write(*,7) xl,Q2l,F2l,errl,F2pT
   if (abs(Q2l-0.50)<=0.1) then
      write(11,7) xl,Q2l,F2l,errl,F2pT
   else if (abs(Q2l-0.70)<=0.11) then
      write(12,7) xl,Q2l,F2l,errl,F2pT
   else if (abs(Q2l-0.90)<=0.11) then     
      write(13,7) xl,Q2l,F2l,errl,F2pT    
   else if (abs(Q2l-1.1)<=0.11) then	     
      write(14,7) xl,Q2l,F2l,errl,F2pT    
   else if (abs(Q2l-1.3)<=0.11) then	     
      write(15,7) xl,Q2l,F2l,errl,F2pT       
   else if (abs(Q2l-1.55)<=0.151) then	     
      write(16,7) xl,Q2l,F2l,errl,F2pT       
   else if (abs(Q2l-1.85)<=0.151) then	     
      write(17,7) xl,Q2l,F2l,errl,F2pT      
   else if (abs(Q2l-2.50)<=0.51) then	     
      write(18,7) xl,Q2l,F2l,errl,F2pT       
   else if (abs(Q2l-3.50)<=0.51) then	     
      write(19,7) xl,Q2l,F2l,errl,F2pT        
   else if (abs(Q2l-4.50)<=0.51) then	     
      write(20,7) xl,Q2l,F2l,errl,F2pT        
   else if (abs(Q2l-5.50)<=0.51) then	     
      write(21,7) xl,Q2l,F2l,errl,F2pT       
   else if (abs(Q2l-6.50)<=0.51) then	     
      write(22,7) xl,Q2l,F2l,errl,F2pT         
   else if (abs(Q2l-7.50)<=0.51) then	     
      write(23,7) xl,Q2l,F2l,errl,F2pT     
   else if (abs(Q2l-8.50)<=0.51) then	     
	write(24,7) xl,Q2l,F2l,errl,F2pT  
   else if (abs(Q2l-9.50)<=0.51) then	     
	write(25,7) xl,Q2l,F2l,errl,F2pT        
   else if (abs(Q2l-10.50)<=0.51) then	     
      write(26,7) xl,Q2l,F2l,errl,F2pT
   else if (abs(Q2l-11.50)<=0.51) then	     
      write(27,7) xl,Q2l,F2l,errl,F2pT  
   else if (abs(Q2l-12.50)<=0.51) then	     
      write(28,7) xl,Q2l,F2l,errl,F2pT  
   else if (abs(Q2l-14.00)<=1.01) then	     
      write(29,7) xl,Q2l,F2l,errl,F2pT  
   else if (abs(Q2l-17.00)<=2.01) then	     
      write(30,7) xl,Q2l,F2l,errl,F2pT 
   else if (abs(Q2l-22.00)<=3.01) then	     
      write(31,7) xl,Q2l,F2l,errl,F2pT   
   else if (abs(Q2l-28.00)<=3.01) then	     
      write(32,7) xl,Q2l,F2l,errl,F2pT
   else 
      write(*,*) i,' Q**2=',Q2l,' not expected' 
      stop  
   end if
end do 
close(10)    
end subroutine s01SLAC_PLB282_F2p
