!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s04NMC_NPB483_F2p
use hepdata
implicit none
integer i
double precision:: xl,Q2l,F2l,errl,F2p,F2pT
7 format(f9.4,f7.2,3f9.5)
write(*,*) 
write(*,*) '  04NMC_NPB483_F2p data:'
open(10,file='../../dato/04NMC_NPB483_F2p.dato')
open(11,file='Tag/04NMC_NPB483_F2p/0075.dat')
open(12,file='Tag/04NMC_NPB483_F2p/0125.dat')
open(13,file='Tag/04NMC_NPB483_F2p/0175.dat')
open(14,file='Tag/04NMC_NPB483_F2p/0250.dat')
open(15,file='Tag/04NMC_NPB483_F2p/0350.dat')
open(16,file='Tag/04NMC_NPB483_F2p/0450.dat')
open(17,file='Tag/04NMC_NPB483_F2p/0550.dat')
open(18,file='Tag/04NMC_NPB483_F2p/0700.dat')
open(19,file='Tag/04NMC_NPB483_F2p/0900.dat')
open(20,file='Tag/04NMC_NPB483_F2p/1150.dat')
open(21,file='Tag/04NMC_NPB483_F2p/1500.dat')
open(22,file='Tag/04NMC_NPB483_F2p/2000.dat')
open(23,file='Tag/04NMC_NPB483_F2p/2700.dat')
open(24,file='Tag/04NMC_NPB483_F2p/3600.dat')
open(25,file='Tag/04NMC_NPB483_F2p/4800.dat')
open(26,file='Tag/04NMC_NPB483_F2p/6500.dat')
do i = 1, m04NMC_NPB483_F2p
   read(10,*) xl,Q2l,F2l,errl
   F2pT = F2p(xl,Q2l)/p(44)
   write(*,7) xl,Q2l,F2l,errl,F2pT
   if (Q2l-0.75<0.0001) then
       write(11,7) xl,Q2l,F2l,errl,F2pT     
   else if(Q2l-1.25<0.0001) then
       write(12,7) xl,Q2l,F2l,errl,F2pT     
   else if (Q2l-1.75<0.0001) then     
       write(13,7) xl,Q2l,F2l,errl,F2pT     
   else if (Q2l-2.50<0.0001) then
       write(14,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-3.50<0.0001) then
       write(15,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-4.50<0.0001) then
       write(16,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-5.50<0.0001) then
       write(17,7) xl,Q2l,F2l,errl,F2pT     
   else if (Q2l-7.00<0.0001) then
       write(18,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-9.00<0.0001) then
       write(19,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-11.50<0.0001) then
       write(20,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-15.00<0.0001) then
       write(21,7) xl,Q2l,F2l,errl,F2pT      
   else if (Q2l-20.00<0.0001) then
       write(22,7) xl,Q2l,F2l,errl,F2pT        
   else if (Q2l-27.00<0.0001) then
       write(23,7) xl,Q2l,F2l,errl,F2pT       
   else if (Q2l-36.00<0.0001) then 
       write(24,7) xl,Q2l,F2l,errl,F2pT     
   else if (Q2l-48.00<0.0001) then
       write(25,7) xl,Q2l,F2l,errl,F2pT     
   else if (Q2l-65.00<0.0001) then
       write(26,7) xl,Q2l,F2l,errl,F2pT      
   else 
       write(*,*) i,' Q**2=',Q2l,' not expected'   
   end if
end do 
close(10)
end subroutine s04NMC_NPB483_F2p
