!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s06H1_NPB497_F2p
use hepdata
implicit none
integer i
double precision:: xl,Q2l,F2l,errl,F2p,F2pT
7 format(f12.7,f7.2,3f8.4)
write(*,*) 
write(*,*) '  06H1_NPB497_F2p data.'
open(10,file='../../data/dato/06H1_NPB497_F2p.dato')
open(11,file='Tag/06H1_NPB497_F2p/035.dat')
open(12,file='Tag/06H1_NPB497_F2p/050.dat')
open(13,file='Tag/06H1_NPB497_F2p/065.dat')
open(14,file='Tag/06H1_NPB497_F2p/085.dat')
open(15,file='Tag/06H1_NPB497_F2p/120.dat')
open(16,file='Tag/06H1_NPB497_F2p/150.dat')
open(17,file='Tag/06H1_NPB497_F2p/200.dat')
open(18,file='Tag/06H1_NPB497_F2p/250.dat')
open(19,file='Tag/06H1_NPB497_F2p/350.dat')
do i = 1, m06H1_NPB497_F2p
   read(10,*) xl,Q2l,F2l,errl
   F2pT = F2p(xl,Q2l)/p(46)
   write(*,7) xl,Q2l,F2l,errl,F2pT
   if (Q2l-0.35<0.0001) then
      write(11,7) xl,Q2l,F2l,errl,F2pT    
   else if(Q2l-0.50<0.0001) then
      write(12,7) xl,Q2l,F2l,errl,F2pT      
   else if (Q2l-0.65<0.0001) then     
      write(13,7) xl,Q2l,F2l,errl,F2pT      
   else if (Q2l-0.85<0.0001) then       
      write(14,7) xl,Q2l,F2l,errl,F2pT        
   else if (Q2l-1.20<0.0001) then       
      write(15,7) xl,Q2l,F2l,errl,F2pT        
   else if (Q2l-1.50<0.0001) then       
      write(16,7) xl,Q2l,F2l,errl,F2pT        
   else if (Q2l-2.00<0.0001) then       
      write(17,7) xl,Q2l,F2l,errl,F2pT      
   else if (Q2l-2.50<0.0001) then       
      write(18,7) xl,Q2l,F2l,errl,F2pT        
   else if (Q2l-3.50<0.0001) then       
      write(19,7) xl,Q2l,F2l,errl,F2pT        
   else 
      write(*,*) '06H1_NPB497_F2p:',i,' Q**2 =',Q2l,' not expected'   
      stop
   end if
end do 
close(10)
end subroutine s06H1_NPB497_F2p
