!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s104SMC_PRD60_A1p
implicit none
integer::i,m104SMC_PRD60_A1p=15
double precision:: x,Q2,A1pD,stat,sys=0d0,tot,A1pT,eA1pT
double precision,external::A1p
write(*,*)
write(*,*) '  104SMC_PRD60_A1p data.'
open(10,file='../../.dato/104SMC_PRD60_A1p.dato')
open(11,file='Tag/104SMC_PRD60_A1p/104SMC_PRD60_A1p.dat')
7 format(f10.5,f7.2,4f9.4)
do i = 1, m104SMC_PRD60_A1p
   read(10,*)  x,Q2,A1pD,stat
   tot = dsqrt(stat**2d0+sys**2d0)
   A1pT = A1p(x,Q2)
   eA1pT = 0d0
   write(*,7)  x,Q2,A1pD,tot,A1pT,eA1pT
   write(11,7) x,Q2,A1pD,tot,A1pT,eA1pT
end do
close(10)
close(11)
end subroutine s104SMC_PRD60_A1p
