!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s118JLabHallB_PLB641_A1d
implicit none
integer::i,m118JLabHallB_PLB641_A1d=6993
double precision:: x,Q2,A1dD,stat,sys=0d0,tot,A1dT,eA1dT
double precision,external::A1d,W2
write(*,*)
write(*,*) '  118JLabHallB_PLB641_A1d data.'
open(10,file='../../.dato/118JLabHallB_PLB641_A1d.dato')
open(11,file='Tag/118JLabHallB_PLB641_A1d/118JLabHallB_PLB641_A1d.dat')
7 format(f10.5,f7.2,15f9.4)
do i = 1, m118JLabHallB_PLB641_A1d
   read(10,*) x,Q2,A1dD,stat
   if ( (Q2<1d0).or.(W2(x,Q2) < 2d0)) cycle
   tot = dsqrt(stat**2d0+sys**2d0)
   A1dT = A1d(x,Q2)
   eA1dT = 0d0
   write(*,7)  x,Q2,A1dD,tot,A1dT,eA1dT
   write(11,7) x,Q2,A1dD,tot,A1dT,eA1dT
end do
close(10)
close(11)
end subroutine s118JLabHallB_PLB641_A1d
