!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s13ZEUS_EPJC21_F2p
use hepdata
implicit none
integer i
double precision:: xl,Q2l,F2l,errl,errlm,errlp,F2p,F2pT
7 format(E15.4,f10.1,4f8.4)
write(*,*) 
write(*,*) '  13ZEUS_EPJC21_F2p data:'
open(10,file='../../data/dato/13ZEUS_EPJC21_F2p.dato')
open(11,file='Tag/13ZEUS_EPJC21_F2p/000027.dat')
open(12,file='Tag/13ZEUS_EPJC21_F2p/000035.dat')
open(13,file='Tag/13ZEUS_EPJC21_F2p/000045.dat')
open(14,file='Tag/13ZEUS_EPJC21_F2p/000065.dat')
open(15,file='Tag/13ZEUS_EPJC21_F2p/000085.dat')
open(16,file='Tag/13ZEUS_EPJC21_F2p/00010.dat')
open(17,file='Tag/13ZEUS_EPJC21_F2p/00012.dat')
open(18,file='Tag/13ZEUS_EPJC21_F2p/00015.dat')
open(19,file='Tag/13ZEUS_EPJC21_F2p/00018.dat')
open(20,file='Tag/13ZEUS_EPJC21_F2p/00022.dat')
open(21,file='Tag/13ZEUS_EPJC21_F2p/00027.dat')
open(22,file='Tag/13ZEUS_EPJC21_F2p/00035.dat')
open(23,file='Tag/13ZEUS_EPJC21_F2p/00045.dat')
open(24,file='Tag/13ZEUS_EPJC21_F2p/00060.dat')
open(25,file='Tag/13ZEUS_EPJC21_F2p/00070.dat')
open(26,file='Tag/13ZEUS_EPJC21_F2p/00090.dat')
open(27,file='Tag/13ZEUS_EPJC21_F2p/00120.dat')
open(28,file='Tag/13ZEUS_EPJC21_F2p/00150.dat')
open(29,file='Tag/13ZEUS_EPJC21_F2p/00200.dat')
open(30,file='Tag/13ZEUS_EPJC21_F2p/00250.dat')
open(31,file='Tag/13ZEUS_EPJC21_F2p/00350.dat')
open(32,file='Tag/13ZEUS_EPJC21_F2p/00450.dat')
open(33,file='Tag/13ZEUS_EPJC21_F2p/00650.dat')
open(34,file='Tag/13ZEUS_EPJC21_F2p/00800.dat')
open(35,file='Tag/13ZEUS_EPJC21_F2p/01200.dat')
open(36,file='Tag/13ZEUS_EPJC21_F2p/01500.dat')
open(37,file='Tag/13ZEUS_EPJC21_F2p/02000.dat')
open(38,file='Tag/13ZEUS_EPJC21_F2p/03000.dat')
open(39,file='Tag/13ZEUS_EPJC21_F2p/05000.dat')
open(40,file='Tag/13ZEUS_EPJC21_F2p/08000.dat')
open(41,file='Tag/13ZEUS_EPJC21_F2p/12000.dat')
open(42,file='Tag/13ZEUS_EPJC21_F2p/20000.dat')
open(43,file='Tag/13ZEUS_EPJC21_F2p/30000.dat')
do i = 1,m13ZEUS_EPJC21_F2p
   read(10,*) xl,Q2l,F2l,errl,errlm,errlp
   F2pT = F2p(xl,Q2l)/p(53)
   write(*,7)xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   if (Q2l-2.7<0.0001) then
      write(11,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if(Q2l-3.5<0.0001) then
      write(12,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-4.5<0.0001) then     
      write(13,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-6.5<0.0001) then      
      write(14,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-8.5<0.0001) then        
      write(15,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-10.0<0.0001) then        
      write(16,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-12.0<0.0001) then        
      write(17,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-15.0<0.0001) then        
      write(18,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-18.0<0.0001) then        
      write(19,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if(Q2l-22.0<0.0001) then
      write(20,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-27.0<0.0001) then     
      write(21,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-35.0<0.0001) then        
      write(22,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-45.0<0.0001) then        
      write(23,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-60.0<0.0001) then        
      write(24,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-70.0<0.0001) then        
      write(25,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-90.0<0.0001) then        
      write(26,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if(Q2l-120.0<0.0001) then
      write(27,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-150.0<0.0001) then     
      write(28,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-200.0<0.0001) then       
      write(29,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-250.0<0.0001) then       
      write(30,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-350.0<0.0001) then       
      write(31,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-450.0<0.0001) then       
      write(32,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-650.0<0.0001) then       
      write(33,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-800.0<0.0001) then       
      write(34,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-1200.0<0.0001) then
      write(35,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT                 
   else if (Q2l-1500.0<0.0001) then     
      write(36,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-2000.0<0.0001) then      
      write(37,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-3000.0<0.0001) then      
      write(38,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-5000.0<0.0001) then      
      write(39,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-8000.0<0.0001) then     
      write(40,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-12000.0<0.0001) then      
      write(41,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-20000.0<0.0001) then      
      write(42,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else if (Q2l-30000.0<0.0001) then      
      write(43,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT  
   else 
      write(*,*) i,' Q**2 =',Q2l,' not expected' 
      stop  
   end if
end do 
close(10)     
end subroutine s13ZEUS_EPJC21_F2p
