!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s155PHENIX_PRD79_ALLpi0
implicit none
integer::i,m155PHENIX_PRD79_ALLpi0=5
double precision:: pT,dat,stat,sys=0d0,tot,ALLpi0T,eALLpi0T
double precision,external::ALLpi0,errrr
write(*,*)
write(*,*) '  155PHENIX_PRD79_ALLpi0 data.'
open(10,file='../../.dato/155PHENIX_PRD79_ALLpi0.dato')
open(12,file='Tag/155PHENIX_PRD79_ALLpi0/155PHENIX_PRD79_ALLpi0.dat')
7 format(f7.2,4f10.4)
do i = 1, m155PHENIX_PRD79_ALLpi0
   read(10,*) pT,dat,stat
   tot = dsqrt(stat**2d0+sys**2d0)
   ALLpi0T = ALLpi0(pT,-0.35d0,0.35d0,62.4d0)
   eALLpi0T = errrr(ALLpi0,pT,-0.35d0,0.35d0,62.4d0)
   write(*,7)  pT,dat,tot,ALLpi0T,eALLpi0T
   write(12,7) pT,dat,tot,ALLpi0T,eALLpi0T
end do
close(10)
close(12)
end subroutine s155PHENIX_PRD79_ALLpi0
