!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s17EMC_NPB213_F2Fec
implicit none
integer, parameter::m17EMC_NPB213_F2Fec=21
integer i
double precision:: x,Q2,F2cl,errl,F2Fec,F2cT
7 format(f9.4,f7.2,3f10.6)
write(*,*) 
write(*,*) '  17EMC_NPB213_F2Fec data:'
open(5,file='../../.dato/17EMC_NPB213_F2Fec.dato')
open(11,file='Tag/17EMC_NPB213_F2Fec/0139.dat')
open(12,file='Tag/17EMC_NPB213_F2Fec/0247.dat')
open(13,file='Tag/17EMC_NPB213_F2Fec/0439.dat')
open(14,file='Tag/17EMC_NPB213_F2Fec/0781.dat')
open(15,file='Tag/17EMC_NPB213_F2Fec/1390.dat')
open(16,file='Tag/17EMC_NPB213_F2Fec/2470.dat')
open(17,file='Tag/17EMC_NPB213_F2Fec/4390.dat')
open(18,file='Tag/17EMC_NPB213_F2Fec/7810.dat')
do i = 1, m17EMC_NPB213_F2Fec
    read(5,*) x,Q2,F2cl,errl
    F2cT = F2Fec(x,Q2)
    write(*,7) x,Q2,F2cl,errl,F2cT
    if (Q2-1.39 < 0.0001) then
          write(11,7) x,Q2,F2cl,errl,F2cT     
    else if (Q2-2.47 < 0.0001) then
          write(12,7) x,Q2,F2cl,errl,F2cT
    else if (Q2-4.39 < 0.0001) then
          write(13,7) x,Q2,F2cl,errl,F2cT
    else if (Q2-7.81 < 0.0001) then
          write(14,7) x,Q2,F2cl,errl,F2cT      
    else if (Q2-13.9 < 0.0001) then
          write(15,7) x,Q2,F2cl,errl,F2cT      
    else if (Q2-24.7 < 0.0001) then
          write(16,7) x,Q2,F2cl,errl,F2cT
    else if (Q2-43.9 < 0.0001) then
          write(17,7) x,Q2,F2cl,errl,F2cT
    else if (Q2-78.1 < 0.0001) then
          write(18,7) x,Q2,F2cl,errl,F2cT
    else 
          write(*,*) i,' Q2 =',Q2,' not expected'   
    end if
end do 
close(5)
end subroutine s17EMC_NPB213_F2Fec
