!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s19ZEUS_PRD69_F2pc
use hepdata
implicit none
integer i
double precision:: Q2l,xl,F2cl,errl,errp,errm,F2pc,F2cT
7 format(f10.5,f6.1,5f8.4)
write(*,*) 
write(*,*) '  19ZEUS_PRD69_F2pc data:'
open(5,file='../../data/dato/19ZEUS_PRD69_F2pc.dato')
open(11,file='Tag/19ZEUS_PRD69_F2pc/0018.dat')
open(12,file='Tag/19ZEUS_PRD69_F2pc/0040.dat')
open(13,file='Tag/19ZEUS_PRD69_F2pc/0070.dat')
open(14,file='Tag/19ZEUS_PRD69_F2pc/0110.dat')
open(15,file='Tag/19ZEUS_PRD69_F2pc/0180.dat')
open(16,file='Tag/19ZEUS_PRD69_F2pc/0300.dat')
open(17,file='Tag/19ZEUS_PRD69_F2pc/0600.dat')
open(18,file='Tag/19ZEUS_PRD69_F2pc/1300.dat')
open(19,file='Tag/19ZEUS_PRD69_F2pc/5000.dat')
do i = 1, m19ZEUS_PRD69_F2pc
    read(5,*) xl,Q2l,F2cl,errl,errp,errm
    F2cT = F2pc(xl,Q2l)/p(59)
    write(*,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    if (Q2l-2. < 0.0001) then
          write(11,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT     
    else if (Q2l-4 < 0.0001) then
          write(12,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else if (Q2l-7 < 0.0001) then
          write(13,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else if (Q2l-11 < 0.0001) then
          write(14,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT      
    else if (Q2l-18 < 0.0001) then
          write(15,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT      
    else if (Q2l-30 < 0.0001) then
          write(16,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else if (Q2l-60 < 0.0001) then
          write(17,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else if (Q2l-130 < 0.0001) then
          write(18,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else if (Q2l-500 < 0.0001) then
          write(19,7) xl,Q2l,F2cl,F2cl-errm,F2cl+errp,F2cT
    else 
          write(*,*) i,' Q2 =',Q2l,' not expected'   
    end if
end do 
close(5)
end subroutine s19ZEUS_PRD69_F2pc
