!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s27E866_Private_DYpd
 implicit none
 integer::i,m27E866_Private_DYpd=191
 double precision::x1l,x2l,m2l,m3sig,stat,sys,err,xf,m,DYpd,m3sigT
 7 format(5f12.6)
 write(*,*)
 write(*,*) '  27E866_Private_DYpd data'
 open(10,file='../../.dato/27E866_Private_DYpd.dato')
 open(11,file='Tag/27E866_Private_DYpd/005.dat')
 open(12,file='Tag/27E866_Private_DYpd/010.dat')
 open(13,file='Tag/27E866_Private_DYpd/015.dat')
 open(14,file='Tag/27E866_Private_DYpd/020.dat')
 open(15,file='Tag/27E866_Private_DYpd/025.dat')
 open(16,file='Tag/27E866_Private_DYpd/030.dat')
 open(17,file='Tag/27E866_Private_DYpd/035.dat')
 open(18,file='Tag/27E866_Private_DYpd/040.dat')
 open(19,file='Tag/27E866_Private_DYpd/045.dat')
 open(20,file='Tag/27E866_Private_DYpd/050.dat')
 open(21,file='Tag/27E866_Private_DYpd/055.dat')
 open(22,file='Tag/27E866_Private_DYpd/060.dat')
 open(23,file='Tag/27E866_Private_DYpd/065.dat')
 open(24,file='Tag/27E866_Private_DYpd/070.dat')
 open(25,file='Tag/27E866_Private_DYpd/075.dat')
 open(26,file='Tag/27E866_Private_DYpd/080.dat')
 do i = 1,m27E866_Private_DYpd
    read(10,*) x1l,x2l,m2l,m3sig,stat,sys
    xf = x1l - x2l
    m = sqrt(m2l)
    m3sigT = DYpd(x1l,x2l,m2l)
    err = dsqrt(stat**2d0 + sys**2d0)
    write(*,7) xf,m,m3sig,err,m3sigT
    if(stat/m3sig>0.3d0) cycle
    if ((-0.05<=xf).and.(xf<=0.05)) then
       write(11,7) xf,m,m3sig,err,m3sigT
    else if ((0.05<=xf).and.(xf<=0.10)) then
       write(12,7) xf,m,m3sig,err,m3sigT
    else if ((0.10<=xf).and.(xf<=0.15)) then     
       write(13,7) xf,m,m3sig,err,m3sigT
    else if ((0.15<=xf).and.(xf<=0.20)) then     
       write(14,7) xf,m,m3sig,err,m3sigT  
    else if ((0.20<=xf).and.(xf<=0.25)) then     
       write(15,7) xf,m,m3sig,err,m3sigT 
    else if ((0.25<=xf).and.(xf<=0.30)) then     
       write(16,7) xf,m,m3sig,err,m3sigT 
    else if ((0.30<=xf).and.(xf<=0.35)) then     
       write(17,7) xf,m,m3sig,err,m3sigT
    else if ((0.35<=xf).and.(xf<=0.40)) then     
       write(18,7) xf,m,m3sig,err,m3sigT  
    else if ((0.40<=xf).and.(xf<=0.45)) then     
       write(19,7) xf,m,m3sig,err,m3sigT  
    else if ((0.45<=xf).and.(xf<=0.50)) then     
       write(20,7) xf,m,m3sig,err,m3sigT
    else if ((0.50<=xf).and.(xf<=0.55)) then     
       write(21,7) xf,m,m3sig,err,m3sigT
    else if ((0.55<=xf).and.(xf<=0.60)) then     
       write(22,7) xf,m,m3sig,err,m3sigT
    else if ((0.60<=xf).and.(xf<=0.65)) then     
       write(23,7) xf,m,m3sig,err,m3sigT
    else if ((0.65<=xf).and.(xf<=0.70)) then     
       write(24,7) xf,m,m3sig,err,m3sigT
    else if ((0.70<=xf).and.(xf<=0.75)) then     
       write(25,7) xf,m,m3sig,err,m3sigT
    else if ((0.75<=xf).and.(xf<=0.80)) then    
       write(26,7) xf,m,m3sig,err,m3sigT
    else 
       write(*,*) i,' xf =',xf,' not expected' 
       stop  
    end if
 end do 
 close(10)
 close(8)
end subroutine s27E866_Private_DYpd
