!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s28NA51_PLB332_ADY
use hepdata
implicit none
integer i
integer,parameter::nplot=13
double precision x1l,x2l,m2l,ADYl,errl,xlp,ADY,ADYT
7 format(4f8.3,a8)
8 format(2f8.3,2a8,f8.3)
write(*,*)
write(*,*) '  28NA51_PLB332_ADY data.'
open(10,file='../../data/dato/28NA51_PLB332_ADY.dato')
open(11,file='Tag/28NA51_PLB332_ADY/28NA51_PLB332_ADY.dat')
do i = 1, m28NA51_PLB332_ADY
   read(10,*) x1l,x2l,m2l,ADYl,errl
   ADYT = ADY(x1l,x2l,m2l)/p(68)
   write(*,7) x1l,m2l,ADYl,errl,'NOT'
   write(11,7) x1l,m2l,ADYl,errl,'NOT'
end do
!Extra points to plot
do i = 1, nplot
   xlp = 0.05+i*0.025
   ADYT = ADY(xlp,xlp,m2l)/p(68)
   write(*,8) xlp,m2l,'NOT','NOT',ADYT
   write(11,8) xlp,m2l,'NOT','NOT',ADYT
end do   
close(10)
close(11)
end subroutine s28NA51_PLB332_ADY
