!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s33NA51_PLB332_dbub
use hepdata
implicit none
integer::i,pdfscheme,n=100,orderp=2
double precision:: xl,m2l,dbubl,errl,dbub,dbubT
common /pdfschemec/ pdfscheme
7 format(4f8.4,a8)
8 format(2f8.4,2a8,f8.4)
write(*,*)
write(*,*) '  33NA51_PLB332_dbub data.'
open(10,file='../../data/dato/33NA51_PLB332_dbub.dato')
open(11,file='Tag/33NA51_PLB332_dbub/33NA51_PLB332_dbub.dat')
do i = 1, m33NA51_PLB332_dbub
   read(10,*) xl,m2l,dbubl,errl
   dbubT = dbub(pdfscheme,xl,m2l)/p(73)
   write(*,7) xl,m2l,dbubl,errl,'NOT'
   write(11,7) xl,m2l,dbubl,errl,'NOT'
end do
!Extra points to plot
do i = 1, n
   xl = 10**(orderp*(dble(i)/dble(n)-1.))!n-points logarithmically distributed up to orderp. 
   dbubT = dbub(pdfscheme,xl,m2l)/p(73)
   write(*,8) xl,m2l,'NOT','NOT',dbubT
   write(11,8) xl,m2l,'NOT','NOT',dbubT
end do
close(10)
close(11)
end subroutine s33NA51_PLB332_dbub
