!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s41H1_EPJC13_sigrp
use hepdata
implicit none
integer i
double precision:: xl,yl,Q2l,sigrpl,errl,sigmarp,sigrpT
7 format(2f10.5,f8.1,3f8.4)
write(*,*)
write(*,*) '  41H1_EPJC13_sigrp data.'
open(10,file='../../data/dato/41H1_EPJC13_sigrp.dato')
open(13,file='Tag/41H1_EPJC13_sigrp/00150.dat')
open(14,file='Tag/41H1_EPJC13_sigrp/00200.dat')
open(15,file='Tag/41H1_EPJC13_sigrp/00250.dat')
open(16,file='Tag/41H1_EPJC13_sigrp/00300.dat')
open(17,file='Tag/41H1_EPJC13_sigrp/00400.dat')
open(18,file='Tag/41H1_EPJC13_sigrp/00500.dat')
open(19,file='Tag/41H1_EPJC13_sigrp/00650.dat')
open(20,file='Tag/41H1_EPJC13_sigrp/00800.dat')
open(21,file='Tag/41H1_EPJC13_sigrp/01000.dat')
open(22,file='Tag/41H1_EPJC13_sigrp/01200.dat')
open(23,file='Tag/41H1_EPJC13_sigrp/01500.dat')
open(24,file='Tag/41H1_EPJC13_sigrp/02000.dat')
open(25,file='Tag/41H1_EPJC13_sigrp/03000.dat')
open(26,file='Tag/41H1_EPJC13_sigrp/05000.dat')
open(27,file='Tag/41H1_EPJC13_sigrp/08000.dat')
open(28,file='Tag/41H1_EPJC13_sigrp/12000.dat')
open(29,file='Tag/41H1_EPJC13_sigrp/20000.dat')
open(30,file='Tag/41H1_EPJC13_sigrp/30000.dat')
do i = 1, m07H1_EPJC13_F2p
   read(10,*) xl,yl,Q2l,sigrpl,errl
   sigrpT = sigmarp(xl,yl,Q2l)/p(81)
   write(*,7) xl,yl,Q2l,sigrpl,errl,sigrpT
      if (Q2l-100<0.0001) then
         write(11,7) xl,yl,Q2l,sigrpl,errl,sigrpT   
     else if(Q2l-120<0.0001) then
         write(12,7) xl,yl,Q2l,sigrpl,errl,sigrpT     
     else if (Q2l-150<0.0001) then     
         write(13,7) xl,yl,Q2l,sigrpl,errl,sigrpT      
     else if (Q2l-200<0.0001) then       
         write(14,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-250<0.0001) then       
         write(15,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-300<0.0001) then       
         write(16,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-400<0.0001) then       
         write(17,7) xl,yl,Q2l,sigrpl,errl,sigrpT     
     else if (Q2l-500<0.0001) then      
         write(18,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-650<0.0001) then      
         write(19,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-800<0.0001) then      
         write(20,7) xl,yl,Q2l,sigrpl,errl,sigrpT      
     else if (Q2l-1000<0.0001) then      
         write(21,7) xl,yl,Q2l,sigrpl,errl,sigrpT      
     else if (Q2l-1200<0.0001) then      
         write(22,7) xl,yl,Q2l,sigrpl,errl,sigrpT        
     else if (Q2l-1500<0.0001) then      
         write(23,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-2000<0.0001) then         
         write(24,7) xl,yl,Q2l,sigrpl,errl,sigrpT      
     else if (Q2l-3000<0.0001) then      
         write(25,7) xl,yl,Q2l,sigrpl,errl,sigrpT     
     else if (Q2l-5000<0.0001) then        
         write(26,7) xl,yl,Q2l,sigrpl,errl,sigrpT         
     else if (Q2l-8000<0.0001) then        
         write(27,7) xl,yl,Q2l,sigrpl,errl,sigrpT     
     else if (Q2l-12000<0.0001) then        
         write(28,7) xl,yl,Q2l,sigrpl,errl,sigrpT       
     else if (Q2l-20000<0.0001) then        
         write(29,7) xl,yl,Q2l,sigrpl,errl,sigrpT         
     else if (Q2l-30000<0.0001) then        
         write(30,7) xl,yl,Q2l,sigrpl,errl,sigrpT     
     else 
         write(*,*) i,' Q**2=',Q2l,' not expected'   
          stop      
     end if
end do 
close(10)
end subroutine s41H1_EPJC13_sigrp
