!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s43H1_EPJC21_sigrp
use hepdata
implicit none
integer i
double precision:: xl,yl,Q2l,F2l,errl,sigmarp,sigmarpT
7 format(2f10.5,f8.1,3f8.4)
write(*,*)
write(*,*) '  43H1_EPJC21_sigrp data.'
open(10,file='../../data/dato/43H1_EPJC21_sigrp.dato')
open(11,file='Tag/43H1_EPJC21_sigrp/0015.dat')
open(12,file='Tag/43H1_EPJC21_sigrp/0020.dat')
open(13,file='Tag/43H1_EPJC21_sigrp/0025.dat')
open(14,file='Tag/43H1_EPJC21_sigrp/0035.dat')
open(15,file='Tag/43H1_EPJC21_sigrp/0050.dat')
open(16,file='Tag/43H1_EPJC21_sigrp/0065.dat')
open(17,file='Tag/43H1_EPJC21_sigrp/0085.dat')
open(18,file='Tag/43H1_EPJC21_sigrp/0120.dat')
open(19,file='Tag/43H1_EPJC21_sigrp/0150.dat')
open(20,file='Tag/43H1_EPJC21_sigrp/0200.dat')
open(21,file='Tag/43H1_EPJC21_sigrp/0250.dat')
open(22,file='Tag/43H1_EPJC21_sigrp/0350.dat')
open(23,file='Tag/43H1_EPJC21_sigrp/0450.dat')
open(24,file='Tag/43H1_EPJC21_sigrp/0600.dat')
open(25,file='Tag/43H1_EPJC21_sigrp/0900.dat')
open(26,file='Tag/43H1_EPJC21_sigrp/1200.dat')
open(27,file='Tag/43H1_EPJC21_sigrp/1500.dat')
do i = 1, m43H1_EPJC21_sigrp
   read(10,*) xl,yl,Q2l,F2l,errl
   sigmarpT = sigmarp(xl,yl,Q2l)/p(83)
   write(*,7) xl,yl,Q2l,F2l,errl,sigmarpT
      if (Q2l-1.5<0.0001) then
         write(11,7) xl,yl,Q2l,F2l,errl,sigmarpT   
     else if(Q2l-2.0<0.0001) then
         write(12,7) xl,yl,Q2l,F2l,errl,sigmarpT     
     else if (Q2l-2.5<0.0001) then     
         write(13,7) xl,yl,Q2l,F2l,errl,sigmarpT      
     else if (Q2l-3.5<0.0001) then       
         write(14,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-5.0<0.0001) then       
         write(15,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-6.5<0.0001) then       
         write(16,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-8.5<0.0001) then       
         write(17,7) xl,yl,Q2l,F2l,errl,sigmarpT     
     else if (Q2l-12.0<0.0001) then      
         write(18,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-15<0.0001) then      
         write(19,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-20<0.0001) then      
         write(20,7) xl,yl,Q2l,F2l,errl,sigmarpT      
     else if (Q2l-25<0.0001) then      
         write(21,7) xl,yl,Q2l,F2l,errl,sigmarpT      
     else if (Q2l-35<0.0001) then      
         write(22,7) xl,yl,Q2l,F2l,errl,sigmarpT        
     else if (Q2l-45<0.0001) then      
         write(23,7) xl,yl,Q2l,F2l,errl,sigmarpT       
     else if (Q2l-60<0.0001) then         
         write(24,7) xl,yl,Q2l,F2l,errl,sigmarpT      
     else if (Q2l-90<0.0001) then      
         write(25,7) xl,yl,Q2l,F2l,errl,sigmarpT     
     else if (Q2l-120<0.0001) then        
         write(26,7) xl,yl,Q2l,F2l,errl,sigmarpT         
     else if (Q2l-150<0.0001) then        
         write(27,7) xl,yl,Q2l,F2l,errl,sigmarpT     
     else 
         write(*,*) i,' Q**2=',Q2l,' not expected'   
          stop      
     end if
end do 
close(10)
end subroutine s43H1_EPJC21_sigrp
