!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s71NuTeV_PRL99_sigplnu
 implicit none
 integer i
 double precision::xl,yl,Enul,sigplD,esigplD,Acorr,sigplT,esigplT=0d0
 double precision,external::sigpl
 7 format(f8.3,4f10.6)
 write(*,*)
 write(*,*) '  71NuTeV_PRL99_sigplnu data.'
 open(10,file='../../.dato/71NuTeV_PRL99_sigplnu.dato')
 open(11,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y32E88.dat')
 open(12,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y56E88.dat')
 open(13,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y77E88.dat')
 open(14,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y32E174.dat')
 open(15,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y56E174.dat')
 open(16,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y77E174.dat')
 open(17,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y32E247.dat')
 open(18,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y56E247.dat')
 open(19,file='Tag/71NuTeV_PRL99_sigplnu/71NuTeV_PRL99_sigplnu_y77E247.dat')
 do i = 1, 45
    read(10,*)  xl,yl,Enul,Acorr,sigplD,esigplD
    sigplT = sigpl(1,xl,yl,Enul,Acorr)
    write(*,7)  xl,sigplD,esigplD,sigplT,esigplT
    if ((88d0<Enul).and.(Enul<89d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(11,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(12,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(13,*)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((174d0<Enul).and.(Enul<175d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(14,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(15,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(16,*)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((246d0<Enul).and.(Enul<248d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(17,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(18,*)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(19,*)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    end if
 end do
 close(10)
end subroutine s71NuTeV_PRL99_sigplnu
