!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program CCFR_PRD64_sigplnu
 implicit none
 integer,parameter::npoints=45
 integer i
 double precision, dimension(npoints)::x,y,E,aceptance,sigpl,stat,sys,errstp,errstm,errsyp,errsym,donno
 open(5,file='CCFR_PRD64_sigplnu.dat')
 open(7,file='corr.nu')
 do i = 1, npoints
    read(5,*) x(i),y(i),sigpl(i),errstp(i),errstm(i),errsyp(i),errsym(i)
    read(7,*) aceptance(i),donno(i)
 end do
 close(5)
 close(7)
 E(1:15) = 109.46d0
 E(16:30) = 209.89d0
 E(31:45) = 332.70d0
 stat = 0.5d0*(errstp-errstm)
 sys =  0.5d0*(errsyp-errsym)
 sigpl=1d-2*sigpl
 stat=1d-2*stat
 sys=1d-2*sys
 20 format(2f8.3,f10.2,f10.5,3f11.6)
 open(8,file='CCFR_PRD64_sigplnu.dato')
 do i = 1, npoints
    write(8,20) x(i),y(i),E(i),aceptance(i),sigpl(i),stat(i),sys(i)
 end do
 close(8)
end program CCFR_PRD64_sigplnu
