!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program COMPASS_PLB647_A1d
 implicit none
 integer, parameter::mCOMPASS_PLB647_A1d=17
 integer i
 double precision, dimension(mCOMPASS_PLB647_A1d)::E,xmin,xmax,x,Q2,A1d,stat,sys,g1p,statg1p,sysg1p
 character*132 whatever
 4 format(a132)
 open(5,file='COMPASS_d')
 do i = 1,2
    read(5,4) whatever
 end do
 do i = 1, mCOMPASS_PLB647_A1d
    read(5,*) E(i),xmin(i),xmax(i),x(i),Q2(i),A1d(i),stat(i),sys(i),g1p(i),statg1p(i),sysg1p(i)
 end do
 close(5)
 sys = dsqrt(sys**2d0 - (0.10d0*A1d)**2d0)
 10 format(f9.4,f7.2,3f8.3)
 open(11,file='COMPASS_PLB647_A1d.dato')
 do i = 1, mCOMPASS_PLB647_A1d
    write(11,10)  x(i),Q2(i),A1d(i),stat(i),sys(i)
 end do
 close(11)
end program COMPASS_PLB647_A1d
