!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program E605_PRD43_DYpCu
 implicit none
 integer,parameter::mE605_PRD43_DYpCu=136
 integer i
 double precision, parameter::ss = 38.8d0, s = ss**2d0
 double precision, dimension(mE605_PRD43_DYpCu)::xf,st,m2,prox,sumx,x1,x2,m3sig,errst,errsy
 open(5,file='E605_PRD43_DYpCu.dat')
 open(7,file='E605_PRD43_DYpCu.dato')
 do i = 1, mE605_PRD43_DYpCu
    read(5,*)  xf(i),st(i),m3sig(i),errst(i)
 end do
 errsy = 0.05d0*m3sig
 prox = st**2d0
 m2 = s*prox
 sumx = 2d0*sqrt(prox+0.25*(xf**2))
 x1 = 0.5d0*(sumx+xf)
 x2 = 0.5d0*(sumx-xf)
 m3sig = 1d33*m3sig
 errst = 1d33*errst
 errsy = 1d33*errsy
 4 format(3f10.5,3f10.5)
 do i = 1, mE605_PRD43_DYpCu    
    write(7,4) x1(i),x2(i),m2(i),m3sig(i),errst(i),errsy(i)
 end do 
 close(5)
 close(7)
end program E605_PRD43_DYpCu
