!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program E866_PRD64
 implicit none 
 integer,parameter::mE866_PRD64=15
 integer i
 double precision, dimension(mE866_PRD64):: x2m,x2p,x2,xf,pt,m,DYd2p,errst,errl,x1,m2,&
                                            dbub,estdbub,esydbub,edbub,db_ub,estdb_ub,esydb_ub,edb_ub
 open(5,file='E866_PRD64.dat')
 open(7,file='E866_PRD64_DYd2p.dato')
 open(8,file='E866_PRD64_dbub.dato')
 open(9,file='E866_PRD64_db-ub.dato')
 do i = 1, mE866_PRD64
    read(5,*)  x2m(i),x2p(i),x2(i),xf(i),pt(i),m(i),DYd2p(i),errst(i),dbub(i),estdbub(i),esydbub(i),db_ub(i),estdb_ub(i),esydb_ub(i)
 end do
 errl = errst
 edbub = sqrt(estdbub**2+esydbub**2)
 edb_ub = sqrt(estdb_ub**2+esydb_ub**2)
 x1 = x2+xf
 m2 = m**2
 5 format(5f8.3)
 4 format(4f8.3)
 do i = 1, mE866_PRD64
    write(7,5) x1(i),x2(i),m2(i),DYd2p(i),errl(i)
    write(8,4) x2(i),m2(i),dbub(i),edbub(i)
    write(9,4) x2(i),m2(i),db_ub(i),edb_ub(i)
 end do 
 close(5)
 close(7)   
 close(8)   
 close(9)   
end program E866_PRD64
