!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program E866_Private_DYpp
 implicit none
 integer,parameter::mE866_Private_DYpp=184
 integer i
 double precision, parameter::ss = 38.8d0, s = ss**2d0
 double precision, dimension(mE866_Private_DYpp)::mmin,mmax,m,xf,pt,tau,sumx,x1,x2,m2,&
                                                  m3sig,errst,errsy,rad,&
                                                  m3sigc,errstc,errsyc
 open(5,file='E866_Private_DYpp.dat')
 do i = 1, mE866_Private_DYpp
    read(5,*) mmin(i),mmax(i),m(i),xf(i),pt(i),m3sig(i),errst(i),errsy(i),rad(i),m3sigc(i),errstc(i),errsyc(i)
 end do
 close(5)
 m2 = m*m
 tau = m2/s
 sumx = 2d0*dsqrt(tau+0.25d0*(xf**2d0))
 x1 = 0.5*(sumx+xf)
 x2 = 0.5*(sumx-xf)
 4 format(3f10.5,3f12.6)
 open(7,file='E866_Private_DYpp.dato')
 do i = 1, mE866_Private_DYpp
     write(7,4) x1(i),x2(i),m2(i),m3sigc(i),errstc(i),errsyc(i)
 end do
 close(7)
end program E866_Private_DYpp
