!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program EMC_NPB213_F2Fec
 implicit none
 integer, parameter::mEMC_NPB213_F2Fec=21
 integer i
 double precision, dimension(mEMC_NPB213_F2Fec)::x1l,x2l,Q21l,Q22l,xl,Q2l,F2Fecl,errl
 open(5,file='EMC_NPB213_F2Fec.dat')
 open(7,file='EMC_NPB213_F2Fec.dato')
 6 format(2f9.4,2f7.2,2f10.5)
 do i = 1, mEMC_NPB213_F2Fec
    read(5,*) x1l(i),x2l(i),Q21l(i),Q22l(i),F2Fecl(i),errl(i)
 end do
 xl= 0.5*(x1l+x2l)
 Q2l= 0.5*(Q21l+Q22l)
 4 format(f9.4,f7.2,2f10.5)
 do i = 1, mEMC_NPB213_F2Fec
    write(7,4) xl(i),Q2l(i),F2Fecl(i),errl(i)
 end do
 close(5)
 close(7)
end program EMC_NPB213_F2Fec
