!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program EMC_NPB328_A1p
 implicit none
 integer, parameter::mEMC_NPB328_A1p=10
 integer i
 double precision, dimension(mEMC_NPB328_A1p)::x,Q2,A1p,statA1p,sysA1p,g1p,statg1p,sysg1p,R,A2,K,f,rad,xcheck
 character*132 whatever
 4 format(a132)
 open(5,file='EMC_p')
 do i = 1,2
    read(5,4) whatever
 end do
 do i = 1, mEMC_NPB328_A1p
    read(5,*) x(i),Q2(i),A1p(i),statA1p(i),sysA1p(i),g1p(i),statg1p(i),sysg1p(i)
 end do
 close(5)
 open(5,file='systematics')
 do i = 1, mEMC_NPB328_A1p
    read(5,*) xcheck(i),R(i),A2(i),K(i),f(i),rad(i)
    if (x(i) /= xcheck(i)) then
       write(*,*) "Problems with systematic errors" 
       stop
    end if 
 end do
 close(5)
 10 format(f8.3,f6.1,7f8.3)
 open(11,file='EMC_NPB328_A1p.dato')
 do i = 1, mEMC_NPB328_A1p
    write(11,10)  x(i),Q2(i),A1p(i),statA1p(i),A2(i),rad(i),K(i),R(i),f(i)
 end do 
 close(11)
end program EMC_NPB328_A1p
