!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_EPJC30_FLp
 implicit none
 integer,parameter::mH1_EPJC30_FLpp=5,mH1_EPJC30_FLpm=5
 integer::i
 double precision, dimension(mH1_EPJC30_FLpp):: Q2lp,xlp,ylp,FLplp,errlp,Wlp
 double precision, dimension(mH1_EPJC30_FLpm):: Q2lm,xlm,ylm,FLplm,errlm,Wlm
 open(15,file='H1_EPJC30_FLpp.dat')
 open(16,file='H1_EPJC30_FLpm.dat')
 open(17,file='H1_EPJC30_FLpp.dato')
 open(18,file='H1_EPJC30_FLpm.dato')
 5 format(f14.5,f6.0,2f8.3)
 do i = 1, mH1_EPJC30_FLpp
    read(15,*)  Q2lp(i),xlp(i),ylp(i),FLplp(i),errlp(i)
 end do
 do i = 1, mH1_EPJC30_FLpm
    read(16,*)  Q2lm(i),xlm(i),ylm(i),FLplm(i),errlm(i)
 end do
 do i = 1, mH1_EPJC30_FLpp
    Wlp(i) = dsqrt(0.88d0 + Q2lp(i)*(1d0/xlp(i)-1d0))
    write(17,5) xlp(i),Q2lp(i),FLplp(i),errlp(i)
 end do 
 do i = 1, mH1_EPJC30_FLpm
    Wlm(i) = dsqrt(0.88d0 + Q2lm(i)*(1d0/xlm(i)-1d0))
    write(18,5) xlm(i),Q2lm(i),FLplm(i),errlm(i)
 end do 
 close(5)
 close(7)
 close(8)
end program H1_EPJC30_FLp
