!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program H1_NPB470_F2p
 implicit none
 integer,parameter:: mH1_NPB470_F2p=193
 integer i
 double precision, dimension(mH1_NPB470_F2p):: xl,Q2l,R,F2l,errst,errsy,errl
 open(5,file='H1_NPB470_F2p.dat')
 open(7,file='H1_NPB470_F2p.dato')
 do i = 1, mH1_NPB470_F2p
    read(5,*) Q2l(i),xl(i),F2l(i),errst(i),errsy(i),R(i)
    errl(i) = sqrt(errst(i)**2+errsy(i)**2)
 end do
 4 format(f10.5,f8.1,2f8.3)
 do i = 1, mH1_NPB470_F2p
    write(7,4) xl(i),Q2l(i),F2l(i),errl(i)
 end do 
 close(5)
 close(7)
end program H1_NPB470_F2p
