!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program HERA_JHEP0110_sigrNCp
 implicit none
 integer i,bin
 integer,parameter::mHERA_JHEP0110_sigrNCp=528
 double precision, dimension(mHERA_JHEP0110_sigrNCp)::Q2l,xl,yl,sigrNCp,F2,sta,unc,cor,exp,rel,gp,had,tot,err
 double precision, dimension(mHERA_JHEP0110_sigrNCp,1:110)::d
 character header
 open(10,file='d09-158.nce+p.txt')
 open(11,file='HERA_JHEP0110_sigrNCp.dato')
 read(10,*) header
 do i = 1, mHERA_JHEP0110_sigrNCp
    read(10,*)  bin,Q2l(i),xl(i),yl(i),sigrNCp(i),F2(i),sta(i),unc(i),cor(i),exp(i),rel(i),gp(i),had(i),tot(i),d(i,:)
    if (bin/=i) write(*,*) "Reading error!"
 end do
 err=0.01d0*tot*sigrNCp
 21 format(E13.3,f8.3,f10.3,f8.3,f8.4)
 do i = 1, mHERA_JHEP0110_sigrNCp
    write(11,21) xl(i),yl(i),Q2l(i),sigrNCp(i),err(i)
 end do 
 close(10)
 close(11)
end program HERA_JHEP0110_sigrNCp
