!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program HERMES_PRL81
 implicit none 
 integer,parameter::mHERMES_PRL81=5
 integer i
 double precision, dimension(mHERMES_PRL81):: xl,Q2l,db_ub,estdb_ub,esydb_ub,edb_ub,&
                                                     db_ubu_d,estdb_ubu_d,esydb_ubu_d,edb_ubu_d
 open(5,file='HERMES_PRL81.dat')
 open(7,file='HERMES_PRL81_db-ub.dato')
 open(8,file='HERMES_PRL81_db-ubu-d.dato')
 do i = 1, mHERMES_PRL81
    read(5,*)  xl(i),Q2l(i),db_ub(i),estdb_ub(i),esydb_ub(i),&
                            db_ubu_d(i),estdb_ubu_d(i),esydb_ubu_d(i)
 end do
 edb_ub = sqrt(estdb_ub**2+esydb_ub**2)
 edb_ubu_d = sqrt(estdb_ubu_d**2+esydb_ubu_d**2)
 4 format(f8.3,f7.2,2f8.3)
 do i = 1, mHERMES_PRL81
    write(7,4) xl(i),Q2l(i),db_ub(i),edb_ub(i)
    write(8,4) xl(i),Q2l(i),db_ubu_d(i),edb_ubu_d(i)
 end do 
 close(5)
 close(7)   
 close(8)   
end program HERMES_PRL81
