!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program JLabHallA_PRL101
 implicit none
 integer,parameter::mJLabHallA_PRL101=168
 integer i
 double precision,dimension(mJLabHallA_PRL101)::y,E,theta,W,x,Q2,Apa,stat,sys
 character*132 whatever
 4 format(a132)
 open(5,file='JLabE01012_He')
 do i = 1,13
    read(5,4) whatever
 end do
 do i = 1,mJLabHallA_PRL101
    read(5,*) E(i),theta(i),W(i),x(i),Q2(i),Apa(i),stat(i),sys(i)
 end do
 close(5)
 y = Q2/x/2d0/0.9387026d0/E
 10 format(f9.4,f10.5,f10.5,3f13.8)
 open(11,file='JLabHallA_PRL101_ApaHe.dato')
 do i = 1, mJLabHallA_PRL101
    write(11,10)  x(i),y(i),Q2(i),Apa(i),stat(i),sys(i)
 end do
 close(11)
end program JLabHallA_PRL101
