!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program JLabHallA_PRL95
 implicit none
 integer,parameter::mJLabHallA_PRL95=5
 integer i
 double precision,dimension(mJLabHallA_PRL95)::E,Ep,theta,x,Q2,Apa,statApa,sysApa,Ape,statApe,sysApe,&
                                               g1,statg1,sysg1,g2,statg2,sysg2,y
 character*132 whatever
 4 format(a132)
 open(5,file='JLabE97103_He')
 do i = 1,11
    read(5,4) whatever
 end do
 do i = 1,mJLabHallA_PRL95
    read(5,*) E(i),Ep(i),theta(i),x(i),Q2(i),Apa(i),statApa(i),sysApa(i),Ape(i),statApe(i),sysApe(i),&
                                             g1(i),statg1(i),sysg1(i),g2(i),statg2(i),sysg2(i)
 end do
 close(5)
 y = Q2/x/2d0/0.9387026d0/E
 10 format(f8.2,f9.4,f7.2,3f9.5)
 open(11,file='JLabHallA_PRL95_ApaHe.dato')
 do i = 1, mJLabHallA_PRL95
    write(11,10)  x(i),y(i),Q2(i),Apa(i),statApa(i),sysApa(i)
 end do
 close(11)
 open(11,file='JLabHallA_PRL95_ApeHe.dato')
 do i = 1, mJLabHallA_PRL95
    write(11,10)  x(i),y(i),Q2(i),Ape(i),statApe(i),sysApe(i)
 end do
 close(11)
end program JLabHallA_PRL95
