!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program JLab_PRC80_sig
 implicit none
 integer,parameter::mJLab_PRC80_sig=261
 integer i
 double precision,parameter::M=0.938272d0,M2=0.8803536d0,nbarn=0.3893793d6
 double precision, dimension(mJLab_PRC80_sig)::Eprime,Q2,W2,x,y,sig,sta,sys
 double precision, dimension(mJLab_PRC80_sig)::bornH_sig,bornH_sta,bornH_sys
 double precision, dimension(mJLab_PRC80_sig)::radH_sig,radH_sta,radH_sys
 double precision, dimension(mJLab_PRC80_sig)::bornD_sig,bornD_sta,bornD_sys
 double precision, dimension(mJLab_PRC80_sig)::radD_sig,radD_sta,radD_sys
 open(5,file='JLab_PRC80_sig.dat')
 do i = 1,mJLab_PRC80_sig
    read(5,*) Eprime(i),Q2(i),W2(i),bornH_sig(i),bornH_sta(i),bornH_sys(i),radH_sig(i),radH_sta(i),radH_sys(i) &
                                   ,bornD_sig(i),bornD_sta(i),bornD_sys(i),radD_sig(i),radD_sta(i),radD_sys(i)
 end do
 close(5)
 x = Q2/(W2 + Q2 - M2)
 y = 1d0/(1d0 + 2d0*M*Eprime/(W2 + Q2 - M2))
 sig = x*y**2d0*Q2*M/2d0*137d0**2d0/(1d0-y)*bornH_sig/nbarn
 sta = x*y**2d0*Q2*M/2d0*137d0**2d0/(1d0-y)*bornH_sta/nbarn
 sys = x*y**2d0*Q2*M/2d0*137d0**2d0/(1d0-y)*bornH_sys/nbarn
 4 format(6f10.6)
 open(7,file='JLab_PRC80_sigp.dato')
 do i = 1, mJLab_PRC80_sig
    write(7,4) x(i),y(i),Q2(i),sig(i),sta(i),sys(i)
 end do
 close(7)
end program JLab_PRC80_sig
