!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program NMC_NPB487_F2dp
 implicit none
 integer,parameter::mNMC_NPB487_F2dp=20
 integer i
 double precision, dimension(mNMC_NPB487_F2dp):: xl,Q2l,F2dpl,errst,errsy,errl
 open(5,file='NMC_NPB487_F2dp.dat')
 open(7,file='NMC_NPB487_F2dp.dato')
 do i = 1,mNMC_NPB487_F2dp
    read(5,*) xl(i),Q2l(i),F2dpl(i),errst(i),errsy(i)
    errl(i) = sqrt(errst(i)**2+errsy(i)**2)
 end do
 4 format(f9.4,f7.2,2f9.4)
 do i = 1, mNMC_NPB487_F2dp
    write(7,4) xl(i),Q2l(i),F2dpl(i),errl(i)
 end do
 close(5)
 close(7)      
end program NMC_NPB487_F2dp
