!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program NMC_NPB487_F2dpCO
 implicit none
 integer,parameter::mNMC_NPB487_F2dpCO=260
 integer i
 double precision, dimension(mNMC_NPB487_F2dpCO)::x,Q2,F2dp,errst,errsy,VX,SM,RC,E,EP
 open(5,file='NMC_NPB487_F2dpCO.dat')
 do i = 1,mNMC_NPB487_F2dpCO
    read(5,*) x(i),Q2(i),F2dp(i),errst(i),errsy(i),VX(i),SM(i),RC(i),E(i),EP(i)
 end do
 close(5)
 VX = 0.01d0*VX*F2dp
 SM = 0.01d0*SM*F2dp
 RC = 0.01d0*RC*F2dp
 E = 0.01d0*E*F2dp
 EP = 0.01d0*EP*F2dp
 4 format(f9.4,f7.2,8f10.5)
 open(7,file='NMC_NPB487_F2dpCO.dato')
 do i = 1, mNMC_NPB487_F2dpCO
    write(7,4) x(i),Q2(i),F2dp(i),errst(i),errsy(i),VX(i),SM(i),RC(i),E(i),EP(i)
 end do
 close(7)      
end program NMC_NPB487_F2dpCO
