!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program NuTeV_PRL99_sigpl
 implicit none
 integer,parameter::npoints=90
 integer i
 integer,dimension(npoints)::beam
 double precision,dimension(npoints)::x,y,E,sigpl,stat,sys,aceptance,donno
 double precision corr(8,npoints)
 open(5,file='NuTeV_PRL99_sigpl.dat')
 read(5,*)
 do i = 1, npoints
    read(5,*) beam(i),E(i),y(i),x(i),sigpl(i),stat(i),sys(i),corr(:,i),aceptance(i),donno(i)
 end do
 sigpl=1d-2*sigpl 
 stat=1d-2*stat 
 sys=1d-2*sys
 corr=1d-2*corr 
 4 format(2f8.3,f7.2,11f10.6)
 open(8,file='NuTeV_PRL99_sigplnu.dato')
 open(9,file='NuTeV_PRL99_sigplnub.dato')
 do i = 1, npoints
    if(beam(i)==1) then
       write(8,4) x(i),y(i),E(i),aceptance(i),sigpl(i),stat(i),corr(:,i)
    else if(beam(i)==2) then
       write(9,4) x(i),y(i),E(i),aceptance(i),sigpl(i),stat(i),corr(:,i)
    end if
 end do
 close(8)
 close(9)
end program NuTeV_PRL99_sigpl
