!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program PHENIX200
 implicit none
 integer,parameter::mPHENIX200=12
 integer i
 double precision,dimension(mPHENIX200)::pTa,pTb,pT,ALLpi0,stat,sysRL,sysPOL,sysTOT
 character*132 whatever
 5 format(a132)
 open(5,file='PHENIX200.dat')
 do i=1,8
    read(*,5) whatever
 end do
 do i = 1, mPHENIX200
    read(5,*) pTa(i),pTb(i),pT(i),ALLpi0(i),stat(i),sysRL(i),sysPOL(i),sysTOT(i)
 end do
 close(5)
 ALLpi0 = ALLpi0*1d-4
 stat = stat*1d-4
 sysRL = sysRL*1d-4
 sysPOL = 0.01d0*sysPOL*ALLpi0
 sysTOT = sysTOT*1d-4
 4 format(f7.2,4f10.6)
 open(7,file='PHENIX200.dato')
 do i = 1, mPHENIX200
    write(7,4) pT(i),ALLpi0(i),stat(i),sysRL(i),sysPOL(i)
 end do
 close(7)
end program PHENIX200
