!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program SLAC_E155x_Apep
 implicit none
 integer, parameter::mSLAC_E155x_Apep=133
 integer i
 double precision,dimension(mSLAC_E155x_Apep)::x,y,Q2,E,Ape,sta,sys
 character*132 whatever
 4 format(a132)
 open(5,file='SLAC_E155x_p')
 do i = 1,2
    read(5,4) whatever
 end do
 do i = 1,66
    read(5,*) x(i),Q2(i),E(i),Ape(i),sta(i),sys(i)
    if (Ape(i)==0d0) Ape(i) = 2.5d-4 !used only to multiply it (instead of NaN) times zero
 end do
 read(5,4) whatever
 do i = 67,mSLAC_E155x_Apep
    read(5,*) x(i),Q2(i),E(i),Ape(i),sta(i),sys(i)
    if (Ape(i)==0d0) Ape(i) = 2.5d-4 !used only to multiply it (instead of NaN) times zero
 end do
 close(5)
 y = Q2/x/2d0/0.938272d0/E
 10 format(f8.3,f10.5,f7.2,f9.4,2f8.3)
 open(11,file='SLAC_PLB553_Apep.dato')
 do i = 1, mSLAC_E155x_Apep
    write(11,10)  x(i),y(i),Q2(i),Ape(i),sta(i),sys(i)
 end do
 close(11)
end program SLAC_E155x_Apep
