!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program SLAC_PRD58_p
 implicit none
 integer, parameter::mSLAC_PRD58_Apap=159,mSLAC_PRD58_Apep=50
 integer i
 double precision,dimension(mSLAC_PRD58_Apap)::xApa,yApa,Q2Apa,EApa,Apa,statApa
 double precision,dimension(mSLAC_PRD58_Apep)::xApe,yApe,Q2Ape,EApe,Ape,statApe
 character*132 whatever
 4 format(a132)
 open(5,file='SLAC_E143_p')
 do i = 1,2
    read(5,4) whatever
 end do
 do i = 1, mSLAC_PRD58_Apap
    read(5,*) xApa(i),Q2Apa(i),EApa(i),Apa(i),statApa(i)
 end do
 do i = 1,6
    read(5,4) whatever
 end do
 do i = 1, mSLAC_PRD58_Apep
    read(5,*) xApe(i),Q2Ape(i),EApe(i),Ape(i),statApe(i)
 end do
 close(5)
 10 format(f8.3,f9.4,f7.2,2f9.4)
 yApa = Q2Apa/xApa/2d0/0.938272d0/EApa
 open(11,file='SLAC_PRD58_Apap.dato')
 do i = 1, mSLAC_PRD58_Apap
    write(11,10)  xApa(i),yApa(i),Q2Apa(i),Apa(i),statApa(i)
 end do
 close(11)
 yApe = Q2Ape/xApe/2d0/0.938272d0/EApe
 open(11,file='SLAC_PRD58_Apep.dato')
 do i = 1, mSLAC_PRD58_Apep
   write(11,10)  xApe(i),yApe(i),Q2Ape(i),Ape(i),statApe(i)
 end do
 close(11)
end program SLAC_PRD58_p
