!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

program WA21_ZPC62_dvuv
 implicit none
 integer,parameter::mWA21_ZPC62_dvuv=10
 integer i
 double precision, dimension(mWA21_ZPC62_dvuv):: xmin,xmax,xl,Q2l,dul,errst,errsy,errl 
 open(5,file='WA21_ZPC62_dvuv.dat')
 open(7,file='WA21_ZPC62_dvuv.dato')
 do i = 1, mWA21_ZPC62_dvuv
    read(5,*) xmin(i),xmax(i),dul(i),errst(i),errsy(i)
    xl(i)=xmin(i)+(xmax(i)-xmin(i))/2.0
    errl(i)=sqrt(errst(i)**2+errsy(i)**2)
 end do
 Q2l = 5
 4 format(f7.2,f5.0,2f8.3)
 do i = 1, mWA21_ZPC62_dvuv
     write(7,4) xl(i),Q2l(i),dul(i),errl(i)
 end do 
 close(5)
 close(7)   
end program WA21_ZPC62_dvuv
