!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

program ZEUS_EPJC12_F2pc       
 implicit none
 integer,parameter:: mZEUS_EPJC12_F2pc=21
 integer i
 double precision, dimension(mZEUS_EPJC12_F2pc):: Q2l,xl,F2pcl,errst,errsyp,errsym,errsy
 open(5,file='ZEUS_EPJC12_F2pc.dat')
 open(7,file='ZEUS_EPJC12_F2pc.dato')
 6 format(f6.1,E10.1,4f8.3)
 do i = 1, mZEUS_EPJC12_F2pc
    read(5,*) Q2l(i),xl(i),F2pcl(i),errst(i),errsyp(i),errsym(i)
 end do
 errsy = 0.5d0*(errsyp+errsym)
 4 format(E10.1,f6.1,3f8.3)
 do i = 1, mZEUS_EPJC12_F2pc
    write(7,4) xl(i),Q2l(i),F2pcl(i),errst(i),errsy(i)
 end do 
 close(5)
 close(7)
end program ZEUS_EPJC12_F2pc
