!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s11ZEUS_ZPC69_F2p
use hepdata
implicit none
integer i
double precision:: xl,Q2l,F2l,errl,errlm,errlp,F2p,F2pT
7 format(f11.6,f6.1,4f7.3)
write(*,*) 
write(*,*) '  11ZEUS_ZPC69_F2p data.'
open(10,file='../../data/dato/11ZEUS_ZPC69_F2p.dato')
open(11,file='Tag/11ZEUS_ZPC69_F2p/015.dat')
open(12,file='Tag/11ZEUS_ZPC69_F2p/020.dat')
open(13,file='Tag/11ZEUS_ZPC69_F2p/030.dat')
open(14,file='Tag/11ZEUS_ZPC69_F2p/045.dat')
open(15,file='Tag/11ZEUS_ZPC69_F2p/060.dat')
open(16,file='Tag/11ZEUS_ZPC69_F2p/085.dat')
open(17,file='Tag/11ZEUS_ZPC69_F2p/120.dat')
open(18,file='Tag/11ZEUS_ZPC69_F2p/150.dat')
do i = 1, m11ZEUS_ZPC69_F2p
   read(10,*) xl,Q2l,F2l,errl,errlm,errlp
   F2pT = F2p(xl,Q2l)/p(51)
   write(*,7)xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   if (Q2l-1.5<0.0001) then
      write(11,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if(Q2l-2.0<0.0001) then
      write(12,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-3.0<0.0001) then     
      write(13,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT     
   else if (Q2l-4.5<0.0001) then        
      write(14,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT     
   else if (Q2l-6.0<0.0001) then        
      write(15,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else if (Q2l-8.5<0.0001) then        
      write(16,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT       
   else if (Q2l-12.0<0.0001) then       
      write(17,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT 
   else if (Q2l-15.0<0.0001) then       
      write(18,7) xl,Q2l,F2l,F2l-errlm,F2l+errlp,F2pT
   else 
      write(*,7) i,' Q**2=',Q2l,' not expected' 
      stop  
   end if
end do 
close(10)
end subroutine s11ZEUS_ZPC69_F2p
