!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s121SLAC_PRD54_A1He
implicit none
integer::i,m121SLAC_PRD54_A1He=8
double precision:: x,Q2,A1,stat,sys=0d0,tot,A1HeT,eA1HeT
double precision,external::A1He
write(*,*)
write(*,*) '  121SLAC_PRD54_A1He data.'
open(10,file='../../.dato/121SLAC_PRD54_A1He.dato')
open(11,file='Tag/121SLAC_PRD54_A1He/121SLAC_PRD54_A1He.dat')
7 format(f8.3,f6.1,4f9.5)
do i = 1, m121SLAC_PRD54_A1He
   read(10,*) x,Q2,A1,stat
   tot = dsqrt(stat**2d0+sys**2d0)
   A1HeT = A1He(x,Q2)
   eA1HeT = 0d0
   write(*,7)  x,Q2,A1,tot,A1HeT,eA1HeT
   write(11,7) x,Q2,A1,tot,A1HeT,eA1HeT
end do
close(10)
close(11)
end subroutine s121SLAC_PRD54_A1He
