!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s122SLAC_PRD54_A2He
implicit none
integer::i,m122SLAC_PRD54_A2He=8
double precision:: x,Q2,A2,stat,sys=0d0,tot,A2HeT,eA2HeT
double precision,external::A2He
write(*,*)
write(*,*) '  122SLAC_PRD54_A2He data.'
open(10,file='../../.dato/122SLAC_PRD54_A2He.dato')
open(11,file='Tag/122SLAC_PRD54_A2He/122SLAC_PRD54_A2He.dat')
7 format(f8.3,f6.1,4f9.5)
do i = 1, m122SLAC_PRD54_A2He
   read(10,*) x,Q2,A2,stat
   tot = dsqrt(stat**2d0+sys**2d0)
   A2HeT = A2He(x,Q2)
   eA2HeT = 0d0
   write(*,7)  x,Q2,A2,tot,A2HeT,eA2HeT
   write(11,7) x,Q2,A2,tot,A2HeT,eA2HeT
end do
close(10)
close(11)
end subroutine s122SLAC_PRD54_A2He
