!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s156PHENIX_14026296_ALLpi0
implicit none
integer::i,m156PHENIX_14026296_ALLpi0=12
double precision:: pT,dat,stat,sys1,sys2,tot,ALLpi0T,eALLpi0T
double precision,external::ALLpi0,errrr
write(*,*)
write(*,*) '  156PHENIX_14026296_ALLpi0 data.'
open(10,file='../../.dato/156PHENIX_14026296_ALLpi0.dato')
open(12,file='Tag/156PHENIX_14026296_ALLpi0/156PHENIX_14026296_ALLpi0.dat')
7 format(f7.2,4f10.4)
do i = 1, m156PHENIX_14026296_ALLpi0
   read(10,*) pT,dat,stat,sys1,sys2
   tot = dsqrt(stat**2d0+sys1**2d0+sys2**2d0)
   ALLpi0T = ALLpi0(pT,-0.35d0,0.35d0,200d0)
   eALLpi0T = errrr(ALLpi0,pT,-0.35d0,0.35d0,200d0)
   write(*,7)  pT,dat,tot,ALLpi0T,eALLpi0T
   write(12,7) pT,dat,tot,ALLpi0T,eALLpi0T
end do
close(10)
close(12)
end subroutine s156PHENIX_14026296_ALLpi0
