!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s24H1_EPJC45_F2pb
use hepdata
implicit none
integer i
double precision:: Q2l,xl,F2pbl,errl,F2pb,F2pbT
7 format(f11.6,f6.0,3f8.5)
write(*,*) 
write(*,*) '  24H1_EPJC45_F2pb data:'
open(5,file='../../data/dato/24H1_EPJC45_F2pb.dato')
open(11,file='Tag/24H1_EPJC45_F2pb/12.dat')
open(12,file='Tag/24H1_EPJC45_F2pb/25.dat')
open(13,file='Tag/24H1_EPJC45_F2pb/60.dat')
do i = 1, m24H1_EPJC45_F2pb
    read(5,*) xl,Q2l,F2pbl,errl
    F2pbT = F2pb(xl,Q2l)/p(64)
    write(*,7) xl,Q2l,F2pbl,errl,F2pbT
    if (Q2l-12. < 0.0001) then
          write(11,7) xl,Q2l,F2pbl,errl,F2pbT     
    else if (Q2l-25. < 0.0001) then
          write(12,7) xl,Q2l,F2pbl,errl,F2pbT
    else if (Q2l-60. < 0.0001) then
          write(13,7) xl,Q2l,F2pbl,errl,F2pbT
    else 
          write(*,*) i,' Q2 =',Q2l,' not expected'   
    end if
end do 
close(5)
end subroutine s24H1_EPJC45_F2pb
