!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s25E605_PRD43_DYpCu
use hepdata
implicit none
integer,parameter::m25E605_PRD43_DYpCu=136
integer i
double precision::x1l,x2l,m2l,m3sig,stat,sys,err,xf,ml,DYpCu,m3sigT
7 format(5f12.6)
write(*,*)
write(*,*) '  25E605_PRD43_DYpCu data.'
open(10,file='../../.dato/25E605_PRD43_DYpCu.dato')
open(11,file='Tag/25E605_PRD43_DYpCu/m0125.dat')
open(12,file='Tag/25E605_PRD43_DYpCu/m0075.dat')
open(13,file='Tag/25E605_PRD43_DYpCu/m0025.dat')
open(14,file='Tag/25E605_PRD43_DYpCu/p0025.dat')
open(15,file='Tag/25E605_PRD43_DYpCu/p0075.dat')
open(16,file='Tag/25E605_PRD43_DYpCu/p0125.dat')
open(17,file='Tag/25E605_PRD43_DYpCu/p0175.dat')
open(18,file='Tag/25E605_PRD43_DYpCu/p0225.dat')
open(19,file='Tag/25E605_PRD43_DYpCu/p0275.dat')
do i = 1, m25E605_PRD43_DYpCu
   read(10,*) x1l,x2l,m2l,m3sig,stat,sys
   xf = x1l - x2l
   ml = dsqrt(m2l)
   m3sigT = DYpCu(x1l,x2l,m2l)
   err = dsqrt(stat**2d0 + sys**2d0)
   write(*,7) xf,ml,m3sig,err,m3sigT
   if (abs(xf+0.125)<=0.0001) then
      write(11,7) xf,ml,m3sig,err,m3sigT
   else if (abs(xf+0.075)<=0.0001) then
      write(12,7) xf,ml,m3sig,err,m3sigT
   else if (abs(xf+0.025)<=0.0001) then     
      write(13,7) xf,ml,m3sig,err,m3sigT
   else if (abs(xf-0.025)<=0.0001) then      
      write(14,7) xf,ml,m3sig,err,m3sigT  
   else if (abs(xf-0.075)<=0.0001) then   
      write(15,7) xf,ml,m3sig,err,m3sigT 
   else if (abs(xf-0.125)<=0.0001) then   
      write(16,7) xf,ml,m3sig,err,m3sigT 
   else if (abs(xf-0.175)<=0.0001) then   
      write(17,7) xf,ml,m3sig,err,m3sigT
   else if (abs(xf-0.225)<=0.0001) then   
      write(18,7) xf,ml,m3sig,err,m3sigT  
   else if (abs(xf-0.275)<=0.0001) then   
      write(19,7) xf,ml,m3sig,err,m3sigT
   else 
      write(*,*) i,' xf =',xf,' not expected' 
      stop  
   end if
end do 
close(10)
close(8)
end subroutine s25E605_PRD43_DYpCu
