!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s42H1_EPJC19_sigrm
use hepdata
implicit none
integer i
double precision:: xl,yl,Q2l,F2l,errl,sigmarm,sigmarmT
7 format(2f10.5,f8.1,3f8.4)
write(*,*)
write(*,*) '  42H1_EPJC19_sigrm data.'
open(10,file='../../data/dato/42H1_EPJC19_sigrm.dato')
open(13,file='Tag/42H1_EPJC19_sigrm/00150.dat')
open(14,file='Tag/42H1_EPJC19_sigrm/00200.dat')
open(15,file='Tag/42H1_EPJC19_sigrm/00250.dat')
open(16,file='Tag/42H1_EPJC19_sigrm/00300.dat')
open(17,file='Tag/42H1_EPJC19_sigrm/00400.dat')
open(18,file='Tag/42H1_EPJC19_sigrm/00500.dat')
open(19,file='Tag/42H1_EPJC19_sigrm/00650.dat')
open(20,file='Tag/42H1_EPJC19_sigrm/00800.dat')
open(21,file='Tag/42H1_EPJC19_sigrm/01000.dat')
open(22,file='Tag/42H1_EPJC19_sigrm/01200.dat')
open(23,file='Tag/42H1_EPJC19_sigrm/01500.dat')
open(24,file='Tag/42H1_EPJC19_sigrm/02000.dat')
open(25,file='Tag/42H1_EPJC19_sigrm/03000.dat')
open(26,file='Tag/42H1_EPJC19_sigrm/05000.dat')
open(27,file='Tag/42H1_EPJC19_sigrm/08000.dat')
open(28,file='Tag/42H1_EPJC19_sigrm/12000.dat')
open(29,file='Tag/42H1_EPJC19_sigrm/20000.dat')
open(30,file='Tag/42H1_EPJC19_sigrm/30000.dat')
do i = 1, m42H1_EPJC19_sigrm
   read(10,*) xl,yl,Q2l,F2l,errl
   sigmarmT = sigmarm(xl,yl,Q2l)/p(82)
   write(*,7) xl,yl,Q2l,F2l,errl,sigmarmT     
     if (Q2l-150<0.0001) then     
         write(13,7) xl,yl,Q2l,F2l,errl,sigmarmT      
     else if (Q2l-200<0.0001) then       
         write(14,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-250<0.0001) then       
         write(15,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-300<0.0001) then       
         write(16,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-400<0.0001) then       
         write(17,7) xl,yl,Q2l,F2l,errl,sigmarmT     
     else if (Q2l-500<0.0001) then      
         write(18,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-650<0.0001) then      
         write(19,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-800<0.0001) then      
         write(20,7) xl,yl,Q2l,F2l,errl,sigmarmT      
     else if (Q2l-1000<0.0001) then      
         write(21,7) xl,yl,Q2l,F2l,errl,sigmarmT      
     else if (Q2l-1200<0.0001) then      
         write(22,7) xl,yl,Q2l,F2l,errl,sigmarmT        
     else if (Q2l-1500<0.0001) then      
         write(23,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-2000<0.0001) then         
         write(24,7) xl,yl,Q2l,F2l,errl,sigmarmT      
     else if (Q2l-3000<0.0001) then      
         write(25,7) xl,yl,Q2l,F2l,errl,sigmarmT     
     else if (Q2l-5000<0.0001) then        
         write(26,7) xl,yl,Q2l,F2l,errl,sigmarmT         
     else if (Q2l-8000<0.0001) then        
         write(27,7) xl,yl,Q2l,F2l,errl,sigmarmT     
     else if (Q2l-12000<0.0001) then        
         write(28,7) xl,yl,Q2l,F2l,errl,sigmarmT       
     else if (Q2l-20000<0.0001) then        
         write(29,7) xl,yl,Q2l,F2l,errl,sigmarmT         
     else if (Q2l-30000<0.0001) then        
         write(30,7) xl,yl,Q2l,F2l,errl,sigmarmT     
     else 
         write(*,*) i,' Q**2=',Q2l,' not expected'   
          stop      
     end if
end do 
close(10)
end subroutine s42H1_EPJC19_sigrm
