!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s48Jets_fnt2002
 use hepdata
 implicit none
 integer i
 double precision::Pt,sigma,errl,sigmaT(m48Jets_fnt2002),esigmaT(m48Jets_fnt2002)
 7 format(f6.1,4E15.3)
 write(*,*)
 write(*,*) '  48Jets_fnt2002 data:'
 open(10,file='../../data/dato/48Jets_fnt2002.dato')
 open(8,file='Tag/48Jets_fnt2002/48Jets_fnt2002.dat')
 call fastNLO(3,m48Jets_fnt2002,sigmaT)
 call efastNLO(3,m48Jets_fnt2002,esigmaT)
 do i = 1, m48Jets_fnt2002
    read(10,*) Pt,sigma,errl
    write(*,7) Pt,sigma,errl,sigmaT(i)/p(88),esigmaT(i)
    write(8,7) Pt,sigma,errl,sigmaT(i)/p(88),esigmaT(i)
 end do 
 close(10)     
 close(8)      
end subroutine s48Jets_fnt2002
