!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s72NuTeV_PRL99_sigplnub
 implicit none
 integer i
 double precision::xl,yl,Enul,sigplD,esigplD,Acorr,sigplT,esigplT=0d0
 double precision,external::sigpl
 7 format(f8.3,4f10.6)
 write(*,*)
 write(*,*) '  72NuTeV_PRL99_sigplnub data.'
 open(10,file='../../.dato/72NuTeV_PRL99_sigplnub.dato')
 open(11,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y35E78.dat')
 open(12,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y58E78.dat')
 open(13,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y78E78.dat')
 open(14,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y35E144.dat')
 open(15,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y58E144.dat')
 open(16,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y78E144.dat')
 open(17,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y35E227.dat')
 open(18,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y58E227.dat')
 open(19,file='Tag/72NuTeV_PRL99_sigplnub/72NuTeV_PRL99_sigplnub_y78E227.dat')
 do i = 1, 45
    read(10,*)  xl,yl,Enul,Acorr,sigplD,esigplD
    sigplT = sigpl(-1,xl,yl,Enul,Acorr)
    write(*,7)  xl,sigplD,esigplD,sigplT,esigplT
    if ((77d0<Enul).and.(Enul<78d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(11,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(12,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(13,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((143d0<Enul).and.(Enul<144d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(14,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(15,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(16,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((226d0<Enul).and.(Enul<227d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(17,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(18,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.7d0<yl).and.(yl<0.8d0)) then
          write(19,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    end if
 end do
 close(10)
end subroutine s72NuTeV_PRL99_sigplnub
