!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine s74CCFR_PRD64_sigplnub
 implicit none
 integer i
 double precision::xl,yl,Enul,sigplD,esigplD,Acorr,sigplT,esigplT=0d0
 double precision,external::sigpl
 7 format(f8.3,4f10.6)
 write(*,*)
 write(*,*) '  74CCFR_PRD64_sigplnub data.'
 open(10,file='../../.dato/74CCFR_PRD64_sigplnub.dato')
 open(11,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y36E87.dat')
 open(12,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y60E87.dat')
 open(13,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y80E87.dat')
 open(14,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y36E161.dat')
 open(15,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y60E161.dat')
 open(16,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y80E161.dat')
 open(17,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y36E266.dat')
 open(18,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y60E266.dat')
 open(19,file='Tag/74CCFR_PRD64_sigplnub/74CCFR_PRD64_sigplnub_y80E266.dat')
 do i = 1, 45
    read(10,*)  xl,yl,Enul,Acorr,sigplD,esigplD
    sigplT = sigpl(-1,xl,yl,Enul,Acorr)
    write(*,7)  xl,sigplD,esigplD,sigplT,esigplT
    if ((87d0<Enul).and.(Enul<88d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(11,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(12,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.8d0<yl).and.(yl<0.9d0)) then
          write(13,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((160d0<Enul).and.(Enul<161d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(14,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(15,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.8d0<yl).and.(yl<0.9d0)) then
          write(16,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    else if ((265d0<Enul).and.(Enul<266d0)) then
       if ((0.3d0<yl).and.(yl<0.4d0)) then
          write(17,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.5d0<yl).and.(yl<0.6d0)) then
          write(18,7)  xl,sigplD,esigplD,sigplT,esigplT
       else if ((0.8d0<yl).and.(yl<0.9d0)) then
          write(19,7)  xl,sigplD,esigplD,sigplT,esigplT
       end if
    end if
 end do
 close(10)
end subroutine s74CCFR_PRD64_sigplnub
