!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine sA1He
 implicit none
 integer::i
 integer,parameter::n=100!,orderp=3
 double precision::x,Q2=5d0
 double precision::A1Hel,eA1Hel
 double precision,external::err,A1He,pxdpdp
 10 format(E11.4,12ES11.3)
 write(*,*)
 write(*,*) "  A1He:"
 open(11,file='Tag/A1He/A1He.dat')
 do i = 1,n-1
    x = 1d0/dble(n)*i!n points linearly
!    x = 10d0**(orderp*(dble(i)/dble(n)-1d0))!n points logarithmically distributed up to orderp
    A1Hel = A1He(x,Q2)
    eA1Hel = err(A1He,x,Q2)
    write(11,10) x,A1Hel,eA1Hel
    write(*,10)  x,A1Hel,eA1Hel
 end do
 close(11)
end subroutine sA1He

