!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine xg1n
 implicit none
 integer::i
 integer,parameter::n=100!,orderp=3
 double precision::x,Q2=1d0
 double precision,external::er,err,T2g1n,T3g1n,T4g1n
 double precision::T2xg1nl,T3xg1nl,T4xg1nl
 double precision::eT2xg1n,eT3xg1n,eT4xg1n
 10 format(7f11.6)
 write(*,*)
 write(*,*) "  xg1n:"
 open(11,file='Tag/xg1n/xg1n.dat')
 do i = 1,n-1
    x = 1d0/dble(n)*i!n points linearly
!    x = 10d0**(orderp*(dble(i)/dble(n)-1d0))!n points logarithmically distributed up to orderp 
    T2xg1nl = x*T2g1n(x,Q2)
    eT2xg1n = x*err(T2g1n,x,Q2)
    T3xg1nl = x*T3g1n(x,Q2)
    eT3xg1n = x*err(T3g1n,x,Q2)
    T4xg1nl = x*T4g1n(x)/Q2
    eT4xg1n = x*er(T4g1n,x)/Q2
    write(11,10) x,T2xg1nl,eT2xg1n,T3xg1nl,eT3xg1n,T4xg1nl,eT4xg1n
    write(*,10)  x,T2xg1nl,eT2xg1n,T3xg1nl,eT3xg1n,T4xg1nl,eT4xg1n
 end do
 close(11)
end subroutine xg1n
