!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine xg1p
 implicit none
 integer::i
 integer,parameter::n=100!,orderp=3
 double precision::x,Q2=1d0
 double precision,external::er,err,T2g1p,T3g1p,T4g1p
 double precision::T2xg1pl,T3xg1pl,T4xg1pl
 double precision::eT2xg1p,eT3xg1p,eT4xg1p
 10 format(7f11.6)
 write(*,*)
 write(*,*) "  xg1p:"
 open(11,file='Tag/xg1p/xg1p.dat')
 do i = 1,n-1
    x = 1d0/dble(n)*i!n points linearly
!    x = 10d0**(orderp*(dble(i)/dble(n)-1d0))!n points logarithmically distributed up to orderp 
    T2xg1pl = x*T2g1p(x,Q2)
    eT2xg1p = x*err(T2g1p,x,Q2)
    T3xg1pl = x*T3g1p(x,Q2)
    eT3xg1p = x*err(T3g1p,x,Q2)
    T4xg1pl = x*T4g1p(x)/Q2
    eT4xg1p = x*er(T4g1p,x)/Q2
    write(11,10) x,T2xg1pl,eT2xg1p,T3xg1pl,eT3xg1p,T4xg1pl,eT4xg1p
    write(*,10)  x,T2xg1pl,eT2xg1p,T3xg1pl,eT3xg1p,T4xg1pl,eT4xg1p
 end do
 close(11)
end subroutine xg1p
