!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Copyright 2005 - 2014 Pedro Jimenez-Delgado
! 
! This file is part of Chromopolis.
! 
! Chromopolis is free software: you can redistribute it and/or modify
! it under the terms of the GNU General Public License as published by
! the Free Software Foundation, either version 3 of the License, or
! (at your option) any later version.
! 
! Chromopolis is distributed in the hope that it will be useful,
! but WITHOUT ANY WARRANTY; without even the implied warranty of
! MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
! GNU General Public License for more details.
! 
! You should have received a copy of the GNU General Public License
! along with Chromopolis.  If not, see <http://www.gnu.org/licenses/>.

subroutine xg2p
 implicit none
 integer::i
 integer,parameter::n=100!,orderp=3
 double precision::x,Q2=1d0
 double precision,external::er,err,T2g2p,T3g2p
 double precision::T2xg2pl,T3xg2pl
 double precision::eT2xg2p,eT3xg2p
 10 format(7f11.6)
 write(*,*)
 write(*,*) "  xg2p:"
 open(11,file='Tag/xg2p/xg2p.dat')
 do i = 1,n-1
    x = 1d0/dble(n)*i!n points linearly
!    x = 10d0**(orderp*(dble(i)/dble(n)-1d0))!n points logarithmically distributed up to orderp 
    T2xg2pl = x*T2g2p(x,Q2)
    eT2xg2p = x*err(T2g2p,x,Q2)
    T3xg2pl = x*T3g2p(x)
    eT3xg2p = x*er(T3g2p,x)
    write(11,10) x,T2xg2pl,eT2xg2p,T3xg2pl,eT3xg2p
    write(*,10)  x,T2xg2pl,eT2xg2p,T3xg2pl,eT3xg2p
 end do
 close(11)
end subroutine xg2p
